
Obj/FWlib_apt32f172_coret.o:     file format elf32-csky-little


Disassembly of section .text:

00000000 <CORET_DeInit>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/    
void CORET_DeInit(void)
{
	CK801->CORET_CSR=CORET_CSR_RST;
   0:	1064      	lrw      	r3, 0	// 10 <CORET_DeInit+0x10>
   2:	3204      	movi      	r2, 4
   4:	9360      	ld.w      	r3, (r3, 0)
   6:	b344      	st.w      	r2, (r3, 0x10)
	CK801->CORET_RVR=CORET_RVR_RST;
   8:	3200      	movi      	r2, 0
   a:	b345      	st.w      	r2, (r3, 0x14)
	CK801->CORET_CVR=CORET_CVR_RST;
   c:	b346      	st.w      	r2, (r3, 0x18)
}
   e:	783c      	rts
  10:	00000000 	.long	0x00000000

00000014 <CORET_Int_Enable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_Int_Enable(void)
{
    CK801->CORET_CVR = 0x0;							// Clear counter and flag
  14:	1164      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  16:	3200      	movi      	r2, 0
  18:	9360      	ld.w      	r3, (r3, 0)
  1a:	b346      	st.w      	r2, (r3, 0x18)
	INTC_ISER_WRITE(CORET_INT);    
  1c:	23ff      	addi      	r3, 256
  1e:	3201      	movi      	r2, 1
  20:	b340      	st.w      	r2, (r3, 0)
}
  22:	783c      	rts

00000024 <CORET_Int_Disable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_Int_Disable(void)
{
    INTC_ICER_WRITE(CORET_INT);    
  24:	1160      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  26:	32c0      	movi      	r2, 192
  28:	9360      	ld.w      	r3, (r3, 0)
  2a:	4241      	lsli      	r2, r2, 1
  2c:	60c8      	addu      	r3, r2
  2e:	3201      	movi      	r2, 1
  30:	b340      	st.w      	r2, (r3, 0)
}
  32:	783c      	rts

00000034 <CORET_WakeUp_Enable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void  CORET_WakeUp_Enable(void)
{
    INTC_IWER_WRITE(CORET_INT);    
  34:	107c      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  36:	3201      	movi      	r2, 1
  38:	9360      	ld.w      	r3, (r3, 0)
  3a:	23ff      	addi      	r3, 256
  3c:	b350      	st.w      	r2, (r3, 0x40)
}
  3e:	783c      	rts

00000040 <CORET_WakeUp_Disable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void  CORET_WakeUp_Disable(void)
{
    INTC_IWDR_WRITE(CORET_INT);    
  40:	1079      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  42:	32e0      	movi      	r2, 224
  44:	9360      	ld.w      	r3, (r3, 0)
  46:	4241      	lsli      	r2, r2, 1
  48:	60c8      	addu      	r3, r2
  4a:	3201      	movi      	r2, 1
  4c:	b340      	st.w      	r2, (r3, 0)
}
  4e:	783c      	rts

00000050 <CORET_start>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_start(void)
{
	CK801->CORET_CSR|=0x01;
  50:	1075      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  52:	9340      	ld.w      	r2, (r3, 0)
  54:	9264      	ld.w      	r3, (r2, 0x10)
  56:	3ba0      	bseti      	r3, r3, 0
  58:	b264      	st.w      	r3, (r2, 0x10)
}
  5a:	783c      	rts

0000005c <CORET_stop>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_stop(void)
{
	CK801->CORET_CSR&=0Xfffffffe;
  5c:	1072      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  5e:	9340      	ld.w      	r2, (r3, 0)
  60:	9264      	ld.w      	r3, (r2, 0x10)
  62:	3b80      	bclri      	r3, r3, 0
  64:	b264      	st.w      	r3, (r2, 0x10)
}
  66:	783c      	rts

00000068 <CORET_CLKSOURCE_EX>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_CLKSOURCE_EX(void)
{
	CK801->CORET_CSR&=0Xfffffffb;
  68:	106f      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  6a:	9340      	ld.w      	r2, (r3, 0)
  6c:	9264      	ld.w      	r3, (r2, 0x10)
  6e:	3b82      	bclri      	r3, r3, 2
  70:	b264      	st.w      	r3, (r2, 0x10)
}
  72:	783c      	rts

00000074 <CORET_CLKSOURCE_IN>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_CLKSOURCE_IN(void)
{
	CK801->CORET_CSR|=0x04;
  74:	106c      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  76:	9340      	ld.w      	r2, (r3, 0)
  78:	9264      	ld.w      	r3, (r2, 0x10)
  7a:	3ba2      	bseti      	r3, r3, 2
  7c:	b264      	st.w      	r3, (r2, 0x10)
}
  7e:	783c      	rts

00000080 <CORET_TICKINT_Enable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_TICKINT_Enable(void)
{
    CK801->CORET_CSR|=0x02;
  80:	1069      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  82:	9340      	ld.w      	r2, (r3, 0)
  84:	9264      	ld.w      	r3, (r2, 0x10)
  86:	3ba1      	bseti      	r3, r3, 1
  88:	b264      	st.w      	r3, (r2, 0x10)
}
  8a:	783c      	rts

0000008c <CORET_TICKINT_Disable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_TICKINT_Disable(void)
{
   CK801->CORET_CSR&=0Xfffffffd;
  8c:	1066      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  8e:	9340      	ld.w      	r2, (r3, 0)
  90:	9264      	ld.w      	r3, (r2, 0x10)
  92:	3b81      	bclri      	r3, r3, 1
  94:	b264      	st.w      	r3, (r2, 0x10)
}
  96:	783c      	rts

00000098 <CORET_reload>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORET_reload(void)
{
	CK801->CORET_CVR = 0x0;							// Clear counter and flag
  98:	1063      	lrw      	r3, 0	// a4 <CORET_reload+0xc>
  9a:	3200      	movi      	r2, 0
  9c:	9360      	ld.w      	r3, (r3, 0)
  9e:	b346      	st.w      	r2, (r3, 0x18)
}
  a0:	783c      	rts
  a2:	0000      	bkpt
  a4:	00000000 	.long	0x00000000
