
Obj/FWlib_apt32f172_led.o:     file format elf32-csky-little


Disassembly of section .text:

00000000 <LED_RESET_VALUE>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/  
void LED_RESET_VALUE(void)
{
	 LED0->CR			=	LED0_CR_RST;     					/**< CR  reset value  	*/
   0:	106b      	lrw      	r3, 0	// 2c <LED_RESET_VALUE+0x2c>
   2:	3200      	movi      	r2, 0
   4:	9360      	ld.w      	r3, (r3, 0)
   6:	b340      	st.w      	r2, (r3, 0)
	 LED0->BRIGHT		=	LED0_BRIGHT_RST;                  	/**< BRIGHT reset value */
   8:	b341      	st.w      	r2, (r3, 0x4)
	 LED0->RISR			= 	LED0_RISR_RST;       		  		/**< RISR reset value  	*/
   a:	b342      	st.w      	r2, (r3, 0x8)
	 LED0->IMCR			=	LED0_IMCR_RST;             			/**< IMCR reset value  	*/
   c:	b343      	st.w      	r2, (r3, 0xc)
	 LED0->MISR			=   LED0_MISR_RST;                  	/**< MISR reset value  	*/
   e:	b344      	st.w      	r2, (r3, 0x10)
	 LED0->ICR 			=	LED0_ICR_RST;                   	/**< ICR reset value  	*/
  10:	b345      	st.w      	r2, (r3, 0x14)
	 LED0->TIMCR		=	LED0_TIMCR_RST;						/**< TIMCR reset value  */	
  12:	b347      	st.w      	r2, (r3, 0x1c)
	 LED0->BLKER		=	LED0_BLKER_RST;						/**< BLKER reset value  */	
  14:	b348      	st.w      	r2, (r3, 0x20)
	 LED0->BLKDR		=	LED0_BLKDR_RST;						/**< BLKDR reset value  */	
  16:	b349      	st.w      	r2, (r3, 0x24)
	 LED0->BLKST		=	LED0_BLKST_RST;						/**< BLKST reset value  */	
  18:	b34a      	st.w      	r2, (r3, 0x28)
	 LED0->SEGDATA0 	=	LED0_SEGDAT0_RST;                	/**< SEGDAT0  reset value */
  1a:	b34b      	st.w      	r2, (r3, 0x2c)
	 LED0->SEGDATA1 	=	LED0_SEGDAT1_RST;              		/**< SEGDAT1  reset value */
  1c:	b34c      	st.w      	r2, (r3, 0x30)
	 LED0->SEGDATA2  	=	LED0_SEGDAT2_RST;               	/**< SEGDAT2  reset value */
  1e:	b34d      	st.w      	r2, (r3, 0x34)
	 LED0->SEGDATA3 	=	LED0_SEGDAT3_RST;             		/**< SEGDAT3  reset value */
  20:	b34e      	st.w      	r2, (r3, 0x38)
	 LED0->SEGDATA4 	=	LED0_SEGDAT0_RST;                	/**< SEGDAT0  reset value */
  22:	b34f      	st.w      	r2, (r3, 0x3c)
	 LED0->SEGDATA5 	=	LED0_SEGDAT1_RST;              		/**< SEGDAT1  reset value */
  24:	b350      	st.w      	r2, (r3, 0x40)
	 LED0->SEGDATA6  	=	LED0_SEGDAT2_RST;               	/**< SEGDAT2  reset value */
  26:	b351      	st.w      	r2, (r3, 0x44)
	 LED0->SEGDATA7 	=	LED0_SEGDAT3_RST;             		/**< SEGDAT3  reset value */
  28:	b352      	st.w      	r2, (r3, 0x48)
}
  2a:	783c      	rts
  2c:	00000000 	.long	0x00000000

00000030 <LED_SCAN_ENABLE>:
//EntryParameter:NewState
//NewState:ENABLE,DISABLE
//ReturnValue:NONE
/*************************************************************/  
void LED_SCAN_ENABLE(FunctionalStatus NewState)
{
  30:	1362      	lrw      	r3, 0	// 1b8 <LED_seg_io_initial+0x4c>
	if (NewState != DISABLE)
  32:	3840      	cmpnei      	r0, 0
	{
		LED0->CR|=LIGHTON;
  34:	9340      	ld.w      	r2, (r3, 0)
  36:	9260      	ld.w      	r3, (r2, 0)
	if (NewState != DISABLE)
  38:	0c04      	bf      	0x40	// 40 <LED_SCAN_ENABLE+0x10>
		LED0->CR|=LIGHTON;
  3a:	3ba0      	bseti      	r3, r3, 0
	}
	else
	{
		LED0->CR&=~LIGHTON;
  3c:	b260      	st.w      	r3, (r2, 0)
	}
}
  3e:	783c      	rts
		LED0->CR&=~LIGHTON;
  40:	3b80      	bclri      	r3, r3, 0
  42:	07fd      	br      	0x3c	// 3c <LED_SCAN_ENABLE+0xc>

00000044 <LED_COM_ENABLE>:
//NewState:ENABLE,DISABLE
//LED_COMx_ENABLE:0~0xff
//ReturnValue:NONE
/*************************************************************/  
void LED_COM_ENABLE(U8_T LED_COMx_ENABLE)
{
  44:	14d2      	push      	r4-r5, r15
	uint8_t i;
	LED0->BLKER=0Xff;
  46:	127d      	lrw      	r3, 0	// 1b8 <LED_seg_io_initial+0x4c>
  48:	32ff      	movi      	r2, 255
  4a:	9360      	ld.w      	r3, (r3, 0)
  4c:	b348      	st.w      	r2, (r3, 0x20)
{
  4e:	6d03      	mov      	r4, r0
	LED0->BLKER=0Xff;
  50:	3200      	movi      	r2, 0
	for (i=0;i<8;i++)
	{
		if ((LED_COMx_ENABLE & (1<<i))!=0)
  52:	3501      	movi      	r5, 1
  54:	6c53      	mov      	r1, r4
  56:	704a      	asr      	r1, r2
  58:	6854      	and      	r1, r5
  5a:	3940      	cmpnei      	r1, 0
  5c:	7408      	zextb      	r0, r2
  5e:	0c0c      	bf      	0x76	// 76 <LED_COM_ENABLE+0x32>
		{
			switch (i)
  60:	2800      	subi      	r0, 1
  62:	3806      	cmphsi      	r0, 7
  64:	0807      	bt      	0x72	// 72 <LED_COM_ENABLE+0x2e>
  66:	e0000000 	bsr      	0	// 0 <___gnu_csky_case_uqi>
  6a:	0c0a      	.short	0x0c0a
  6c:	1412100e 	.long	0x1412100e
  70:	0016      	.short	0x0016
			{
				case 0:
				{
					LED0->BLKDR=0x01;													//COM1使能
  72:	3101      	movi      	r1, 1
					LED0->BLKDR=0x40;													//COM7使能
					break;
				}
				case 7:
				{
					LED0->BLKDR=0x80;													//COM8使能
  74:	b329      	st.w      	r1, (r3, 0x24)
  76:	2200      	addi      	r2, 1
	for (i=0;i<8;i++)
  78:	3a48      	cmpnei      	r2, 8
  7a:	0bed      	bt      	0x54	// 54 <LED_COM_ENABLE+0x10>
					break;
				}
			}
		}
	}
}
  7c:	1492      	pop      	r4-r5, r15
					LED0->BLKDR=0x02;													//COM2使能
  7e:	3102      	movi      	r1, 2
  80:	07fa      	br      	0x74	// 74 <LED_COM_ENABLE+0x30>
					LED0->BLKDR=0x04;													//COM3使能
  82:	3104      	movi      	r1, 4
  84:	07f8      	br      	0x74	// 74 <LED_COM_ENABLE+0x30>
					LED0->BLKDR=0x08;													//COM4使能
  86:	3108      	movi      	r1, 8
  88:	07f6      	br      	0x74	// 74 <LED_COM_ENABLE+0x30>
					LED0->BLKDR=0x10;													//COM5使能
  8a:	3110      	movi      	r1, 16
  8c:	07f4      	br      	0x74	// 74 <LED_COM_ENABLE+0x30>
					LED0->BLKDR=0x20;													//COM6使能
  8e:	3120      	movi      	r1, 32
  90:	07f2      	br      	0x74	// 74 <LED_COM_ENABLE+0x30>
					LED0->BLKDR=0x40;													//COM7使能
  92:	3140      	movi      	r1, 64
  94:	07f0      	br      	0x74	// 74 <LED_COM_ENABLE+0x30>
					LED0->BLKDR=0x80;													//COM8使能
  96:	3180      	movi      	r1, 128
  98:	07ee      	br      	0x74	// 74 <LED_COM_ENABLE+0x30>

0000009a <LED_Control_Config>:
  //LEDCLK=PLCK/LEDCLK_DIVx
  //LED_Bright_X:LED_Bright_100/LED_Bright_87/LED_Bright_75/LED_Bright_62/LED_Bright_50/LED_Bright_37LED_Bright_25/LED_Bright_12
  //DCOMCNT:COM显示周期长度
  //NOVCNT:相邻COM时间
void LED_Control_Config(LED_LEDCLK_TypeDef LED_LEDCLK , U8_T LED_COM_EN , LED_Bright_TypeDef LED_Bright_X , U8_T DCOMCNT , U8_T NOVCNT  )
{
  9a:	14d4      	push      	r4-r7, r15
  9c:	1427      	subi      	sp, sp, 28
  9e:	b864      	st.w      	r3, (sp, 0x10)
  a0:	1b0c      	addi      	r3, sp, 48
  a2:	8360      	ld.b      	r3, (r3, 0)
  a4:	b843      	st.w      	r2, (sp, 0xc)
  a6:	b865      	st.w      	r3, (sp, 0x14)
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFF0FFFF) | 0x00080000;				//COM1
					break;
				}
				case 2:
				{
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFF0FFFFF) | 0x00800000;				//COM2
  a8:	36f0      	movi      	r6, 240
					GPIOB0->CONLR=(GPIOB0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM6
					break;
				}
				case 7:
				{
					GPIOA0->CONLR=(GPIOA0->CONLR&0XFFFFFFF0) | 0x00000008;				//COM7
  aa:	1245      	lrw      	r2, 0	// 1bc <LED_seg_io_initial+0x50>
					GPIOB0->CONLR=(GPIOB0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM6
  ac:	1265      	lrw      	r3, 0	// 1c0 <LED_seg_io_initial+0x54>
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFF0FFFF) | 0x00080000;				//COM1
  ae:	37f0      	movi      	r7, 240
					GPIOA0->CONLR=(GPIOA0->CONLR&0XFFFFFFF0) | 0x00000008;				//COM7
  b0:	9240      	ld.w      	r2, (r2, 0)
					GPIOB0->CONLR=(GPIOB0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM6
  b2:	93a0      	ld.w      	r5, (r3, 0)
					GPIOA0->CONLR=(GPIOA0->CONLR&0XFFFFFFF0) | 0x00000008;				//COM7
  b4:	b840      	st.w      	r2, (sp, 0)
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFFF0FFF) | 0x00008000;				//COM0
  b6:	32f0      	movi      	r2, 240
					GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM4
  b8:	1263      	lrw      	r3, 0	// 1c4 <LED_seg_io_initial+0x58>
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFFF0FFF) | 0x00008000;				//COM0
  ba:	4248      	lsli      	r2, r2, 8
					GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM4
  bc:	9380      	ld.w      	r4, (r3, 0)
{
  be:	b821      	st.w      	r1, (sp, 0x4)
  c0:	b802      	st.w      	r0, (sp, 0x8)
	for (i=0;i<8;i++)
  c2:	3100      	movi      	r1, 0
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFF0FFFFF) | 0x00800000;				//COM2
  c4:	1261      	lrw      	r3, 0	// 1c8 <LED_seg_io_initial+0x5c>
  c6:	46d0      	lsli      	r6, r6, 16
  c8:	9360      	ld.w      	r3, (r3, 0)
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFFF0FFF) | 0x00008000;				//COM0
  ca:	b846      	st.w      	r2, (sp, 0x18)
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFF0FFFF) | 0x00080000;				//COM1
  cc:	47ec      	lsli      	r7, r7, 12
		if ((LED_COM_EN & (1<<i))!=0)
  ce:	9841      	ld.w      	r2, (sp, 0x4)
  d0:	7086      	asr      	r2, r1
  d2:	3001      	movi      	r0, 1
  d4:	6880      	and      	r2, r0
  d6:	3a40      	cmpnei      	r2, 0
  d8:	0c0f      	bf      	0xf6	// f6 <LED_Control_Config+0x5c>
			switch (i)
  da:	5903      	subi      	r0, r1, 1
  dc:	3806      	cmphsi      	r0, 7
  de:	0807      	bt      	0xec	// ec <LED_Control_Config+0x52>
  e0:	e0000000 	bsr      	0	// 0 <___gnu_csky_case_uqi>
  e4:	2c26221e 	.long	0x2c26221e
  e8:	003c3731 	.long	0x003c3731
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFFF0FFF) | 0x00008000;				//COM0
  ec:	9340      	ld.w      	r2, (r3, 0)
  ee:	9806      	ld.w      	r0, (sp, 0x18)
  f0:	6881      	andn      	r2, r0
  f2:	3aaf      	bseti      	r2, r2, 15
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFF0FFFF) | 0x00080000;				//COM1
  f4:	b340      	st.w      	r2, (r3, 0)
	for (i=0;i<8;i++)
  f6:	2100      	addi      	r1, 1
  f8:	3948      	cmpnei      	r1, 8
  fa:	0bea      	bt      	0xce	// ce <LED_Control_Config+0x34>
					break;
				}
			}
		}
	}
	LED0->CR|=LED_LEDCLK|(0X00<<4)|(0X00<<7)|(LED_COM_EN<<16);
  fc:	116f      	lrw      	r3, 0	// 1b8 <LED_seg_io_initial+0x4c>
  fe:	9340      	ld.w      	r2, (r3, 0)
 100:	9220      	ld.w      	r1, (r2, 0)
 102:	9862      	ld.w      	r3, (sp, 0x8)
 104:	6c4c      	or      	r1, r3
 106:	9861      	ld.w      	r3, (sp, 0x4)
 108:	4370      	lsli      	r3, r3, 16
 10a:	6c4c      	or      	r1, r3
	LED0->BRIGHT=LED_Bright_X;
 10c:	9863      	ld.w      	r3, (sp, 0xc)
	LED0->CR|=LED_LEDCLK|(0X00<<4)|(0X00<<7)|(LED_COM_EN<<16);
 10e:	b220      	st.w      	r1, (r2, 0)
	LED0->BRIGHT=LED_Bright_X;
 110:	b261      	st.w      	r3, (r2, 0x4)
	LED0->TIMCR=DCOMCNT|(NOVCNT<<8);
 112:	9865      	ld.w      	r3, (sp, 0x14)
 114:	9824      	ld.w      	r1, (sp, 0x10)
 116:	4368      	lsli      	r3, r3, 8
 118:	6cc4      	or      	r3, r1
 11a:	b267      	st.w      	r3, (r2, 0x1c)
}
 11c:	1407      	addi      	sp, sp, 28
 11e:	1494      	pop      	r4-r7, r15
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFFF0FFFF) | 0x00080000;				//COM1
 120:	9340      	ld.w      	r2, (r3, 0)
 122:	689d      	andn      	r2, r7
 124:	3ab3      	bseti      	r2, r2, 19
 126:	07e7      	br      	0xf4	// f4 <LED_Control_Config+0x5a>
					GPIOA1->CONLR=(GPIOA1->CONLR&0XFF0FFFFF) | 0x00800000;				//COM2
 128:	9340      	ld.w      	r2, (r3, 0)
 12a:	6899      	andn      	r2, r6
 12c:	3ab7      	bseti      	r2, r2, 23
 12e:	07e3      	br      	0xf4	// f4 <LED_Control_Config+0x5a>
					GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFFFF0) | 0x00000008;				//COM3
 130:	9440      	ld.w      	r2, (r4, 0)
 132:	300f      	movi      	r0, 15
 134:	6881      	andn      	r2, r0
 136:	3aa3      	bseti      	r2, r2, 3
					GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM4
 138:	b440      	st.w      	r2, (r4, 0)
					break;
 13a:	07de      	br      	0xf6	// f6 <LED_Control_Config+0x5c>
					GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM4
 13c:	9440      	ld.w      	r2, (r4, 0)
 13e:	30f0      	movi      	r0, 240
 140:	6881      	andn      	r2, r0
 142:	3aa7      	bseti      	r2, r2, 7
 144:	07fa      	br      	0x138	// 138 <LED_Control_Config+0x9e>
					GPIOB0->CONLR=(GPIOB0->CONLR&0XFFFFFFF0) | 0x00000008;				//COM5
 146:	9540      	ld.w      	r2, (r5, 0)
 148:	300f      	movi      	r0, 15
 14a:	6881      	andn      	r2, r0
 14c:	3aa3      	bseti      	r2, r2, 3
					GPIOB0->CONLR=(GPIOB0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM6
 14e:	b540      	st.w      	r2, (r5, 0)
					break;
 150:	07d3      	br      	0xf6	// f6 <LED_Control_Config+0x5c>
					GPIOB0->CONLR=(GPIOB0->CONLR&0XFFFFFF0F) | 0x00000080;				//COM6
 152:	9540      	ld.w      	r2, (r5, 0)
 154:	30f0      	movi      	r0, 240
 156:	6881      	andn      	r2, r0
 158:	3aa7      	bseti      	r2, r2, 7
 15a:	07fa      	br      	0x14e	// 14e <LED_Control_Config+0xb4>
					GPIOA0->CONLR=(GPIOA0->CONLR&0XFFFFFFF0) | 0x00000008;				//COM7
 15c:	9840      	ld.w      	r2, (sp, 0)
 15e:	9240      	ld.w      	r2, (r2, 0)
 160:	300f      	movi      	r0, 15
 162:	6881      	andn      	r2, r0
 164:	3aa3      	bseti      	r2, r2, 3
 166:	9800      	ld.w      	r0, (sp, 0)
 168:	b040      	st.w      	r2, (r0, 0)
					break;
 16a:	07c6      	br      	0xf6	// f6 <LED_Control_Config+0x5c>

0000016c <LED_seg_io_initial>:
//LED_IO_G:0,1
//ReturnValue:NONE
/*************************************************************/
void LED_seg_io_initial(LED_SEG_X_TypeDef LED_SEG_X , U8_T LED_IO_G)
{
	if(LED_SEG_X==LED_SEG_0)
 16c:	3841      	cmpnei      	r0, 1
 16e:	0808      	bt      	0x17e	// 17e <LED_seg_io_initial+0x12>
	{
		GPIOA0->CONLR=(GPIOA0->CONLR&0XFFFFFF0F) | 0x00000080;				//seg0 PA0.1
 170:	1073      	lrw      	r3, 0	// 1bc <LED_seg_io_initial+0x50>
		{
			GPIOA0->CONHR=(GPIOA0->CONHR&0XFFFFFF0F) | 0x00000070;			//seg5 PA0.9
		}
		else if(LED_IO_G==1)
		{
			GPIOD0->CONLR=(GPIOD0->CONLR&0XFFFFFF0F) | 0x00000080;			//seg5 PD0.1
 172:	9340      	ld.w      	r2, (r3, 0)
 174:	9260      	ld.w      	r3, (r2, 0)
 176:	31f0      	movi      	r1, 240
 178:	68c5      	andn      	r3, r1
 17a:	3ba7      	bseti      	r3, r3, 7
 17c:	0441      	br      	0x1fe	// 1fe <LED_seg_io_initial+0x92>
	else if(LED_SEG_X==LED_SEG_1)
 17e:	3842      	cmpnei      	r0, 2
 180:	0809      	bt      	0x192	// 192 <LED_seg_io_initial+0x26>
		GPIOA0->CONLR=(GPIOA0->CONLR&0XFFFFF0FF) | 0x00000800;				//seg1 PA0.2  
 182:	106f      	lrw      	r3, 0	// 1bc <LED_seg_io_initial+0x50>
		{
			GPIOA0->CONHR=(GPIOA0->CONHR&0XFFFFF0FF) | 0x00000700;			//seg6 PA0.10
		}
		else if(LED_IO_G==1)
		{
			GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFF0FF) | 0x00000800;			//seg6 PC0.2
 184:	9320      	ld.w      	r1, (r3, 0)
 186:	32f0      	movi      	r2, 240
 188:	9160      	ld.w      	r3, (r1, 0)
 18a:	4244      	lsli      	r2, r2, 4
 18c:	68c9      	andn      	r3, r2
 18e:	3bab      	bseti      	r3, r3, 11
 190:	040a      	br      	0x1a4	// 1a4 <LED_seg_io_initial+0x38>
	else if(LED_SEG_X==LED_SEG_2)
 192:	3843      	cmpnei      	r0, 3
 194:	080a      	bt      	0x1a8	// 1a8 <LED_seg_io_initial+0x3c>
		GPIOA0->CONLR=(GPIOA0->CONLR&0XFFFF0FFF) | 0x00008000;				//seg2 PA0.3 SWCLK
 196:	106a      	lrw      	r3, 0	// 1bc <LED_seg_io_initial+0x50>
 198:	32f0      	movi      	r2, 240
 19a:	9320      	ld.w      	r1, (r3, 0)
 19c:	9160      	ld.w      	r3, (r1, 0)
 19e:	4248      	lsli      	r2, r2, 8
 1a0:	68c9      	andn      	r3, r2
 1a2:	3baf      	bseti      	r3, r3, 15
			GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFF0FF) | 0x00000800;			//seg6 PC0.2
 1a4:	b160      	st.w      	r3, (r1, 0)
 1a6:	042d      	br      	0x200	// 200 <LED_seg_io_initial+0x94>
	else if(LED_SEG_X==LED_SEG_3)
 1a8:	3844      	cmpnei      	r0, 4
 1aa:	0815      	bt      	0x1d4	// 1d4 <LED_seg_io_initial+0x68>
		GPIOA0->CONLR=(GPIOA0->CONLR&0XFFF0FFFF) | 0x00080000;				//seg3 PA0.4 SWDIO
 1ac:	1064      	lrw      	r3, 0	// 1bc <LED_seg_io_initial+0x50>
 1ae:	32f0      	movi      	r2, 240
 1b0:	9320      	ld.w      	r1, (r3, 0)
 1b2:	9160      	ld.w      	r3, (r1, 0)
 1b4:	040c      	br      	0x1cc	// 1cc <LED_seg_io_initial+0x60>
	...
 1ca:	0000      	.short	0x0000
 1cc:	424c      	lsli      	r2, r2, 12
 1ce:	68c9      	andn      	r3, r2
 1d0:	3bb3      	bseti      	r3, r3, 19
 1d2:	07e9      	br      	0x1a4	// 1a4 <LED_seg_io_initial+0x38>
	else if(LED_SEG_X==LED_SEG_4)
 1d4:	3845      	cmpnei      	r0, 5
 1d6:	0816      	bt      	0x202	// 202 <LED_seg_io_initial+0x96>
		if(LED_IO_G==0)
 1d8:	3940      	cmpnei      	r1, 0
 1da:	080a      	bt      	0x1ee	// 1ee <LED_seg_io_initial+0x82>
			GPIOA0->CONHR=(GPIOA0->CONHR&0XFFFFFFF0) | 0x00000007;			//seg4 PA0.8
 1dc:	117c      	lrw      	r3, 0	// 2cc <LED_Int_Disable+0x14>
 1de:	310f      	movi      	r1, 15
 1e0:	9340      	ld.w      	r2, (r3, 0)
 1e2:	9261      	ld.w      	r3, (r2, 0x4)
 1e4:	68c5      	andn      	r3, r1
 1e6:	3107      	movi      	r1, 7
			GPIOA0->CONHR=(GPIOA0->CONHR&0XFFFFFF0F) | 0x00000070;			//seg5 PA0.9
 1e8:	6cc4      	or      	r3, r1
		}
	}
	else if(LED_SEG_X==LED_SEG_7)
	{
		GPIOA0->CONHR=(GPIOA0->CONHR&0X0FFFFFFF) | 0x80000000;				//seg7 PA0.15
 1ea:	b261      	st.w      	r3, (r2, 0x4)
	}
}
 1ec:	040a      	br      	0x200	// 200 <LED_seg_io_initial+0x94>
		else if(LED_IO_G==1)
 1ee:	3941      	cmpnei      	r1, 1
 1f0:	0808      	bt      	0x200	// 200 <LED_seg_io_initial+0x94>
			GPIOD0->CONLR=(GPIOD0->CONLR&0XFFFFFFF0) | 0x00000008;			//seg4 PD0.0
 1f2:	1178      	lrw      	r3, 0	// 2d0 <LED_Int_Disable+0x18>
 1f4:	310f      	movi      	r1, 15
 1f6:	9340      	ld.w      	r2, (r3, 0)
 1f8:	9260      	ld.w      	r3, (r2, 0)
 1fa:	68c5      	andn      	r3, r1
 1fc:	3ba3      	bseti      	r3, r3, 3
 1fe:	b260      	st.w      	r3, (r2, 0)
}
 200:	783c      	rts
	else if(LED_SEG_X==LED_SEG_5)
 202:	3846      	cmpnei      	r0, 6
 204:	080e      	bt      	0x220	// 220 <LED_seg_io_initial+0xb4>
		if(LED_IO_G==0)
 206:	3940      	cmpnei      	r1, 0
 208:	0808      	bt      	0x218	// 218 <LED_seg_io_initial+0xac>
			GPIOA0->CONHR=(GPIOA0->CONHR&0XFFFFFF0F) | 0x00000070;			//seg5 PA0.9
 20a:	1171      	lrw      	r3, 0	// 2cc <LED_Int_Disable+0x14>
 20c:	31f0      	movi      	r1, 240
 20e:	9340      	ld.w      	r2, (r3, 0)
 210:	9261      	ld.w      	r3, (r2, 0x4)
 212:	68c5      	andn      	r3, r1
 214:	3170      	movi      	r1, 112
 216:	07e9      	br      	0x1e8	// 1e8 <LED_seg_io_initial+0x7c>
		else if(LED_IO_G==1)
 218:	3941      	cmpnei      	r1, 1
 21a:	0bf3      	bt      	0x200	// 200 <LED_seg_io_initial+0x94>
			GPIOD0->CONLR=(GPIOD0->CONLR&0XFFFFFF0F) | 0x00000080;			//seg5 PD0.1
 21c:	116d      	lrw      	r3, 0	// 2d0 <LED_Int_Disable+0x18>
 21e:	07aa      	br      	0x172	// 172 <LED_seg_io_initial+0x6>
	else if(LED_SEG_X==LED_SEG_6)
 220:	3847      	cmpnei      	r0, 7
 222:	0812      	bt      	0x246	// 246 <LED_seg_io_initial+0xda>
		if(LED_IO_G==0)
 224:	3940      	cmpnei      	r1, 0
 226:	080c      	bt      	0x23e	// 23e <LED_seg_io_initial+0xd2>
			GPIOA0->CONHR=(GPIOA0->CONHR&0XFFFFF0FF) | 0x00000700;			//seg6 PA0.10
 228:	1169      	lrw      	r3, 0	// 2cc <LED_Int_Disable+0x14>
 22a:	32f0      	movi      	r2, 240
 22c:	9320      	ld.w      	r1, (r3, 0)
 22e:	9161      	ld.w      	r3, (r1, 0x4)
 230:	4244      	lsli      	r2, r2, 4
 232:	68c9      	andn      	r3, r2
 234:	32e0      	movi      	r2, 224
 236:	4243      	lsli      	r2, r2, 3
 238:	6cc8      	or      	r3, r2
 23a:	b161      	st.w      	r3, (r1, 0x4)
 23c:	07e2      	br      	0x200	// 200 <LED_seg_io_initial+0x94>
		else if(LED_IO_G==1)
 23e:	3941      	cmpnei      	r1, 1
 240:	0be0      	bt      	0x200	// 200 <LED_seg_io_initial+0x94>
			GPIOC0->CONLR=(GPIOC0->CONLR&0XFFFFF0FF) | 0x00000800;			//seg6 PC0.2
 242:	1165      	lrw      	r3, 0	// 2d4 <LED_Int_Disable+0x1c>
 244:	07a0      	br      	0x184	// 184 <LED_seg_io_initial+0x18>
	else if(LED_SEG_X==LED_SEG_7)
 246:	3848      	cmpnei      	r0, 8
 248:	0bdc      	bt      	0x200	// 200 <LED_seg_io_initial+0x94>
		GPIOA0->CONHR=(GPIOA0->CONHR&0X0FFFFFFF) | 0x80000000;				//seg7 PA0.15
 24a:	1161      	lrw      	r3, 0	// 2cc <LED_Int_Disable+0x14>
 24c:	9340      	ld.w      	r2, (r3, 0)
 24e:	9261      	ld.w      	r3, (r2, 0x4)
 250:	4364      	lsli      	r3, r3, 4
 252:	4b64      	lsri      	r3, r3, 4
 254:	3bbf      	bseti      	r3, r3, 31
 256:	07ca      	br      	0x1ea	// 1ea <LED_seg_io_initial+0x7e>

00000258 <LED_INT_CMD>:
/*************************************************************/  
  //ICEND:Interrupt Masking Enable/Disable for One COM scan cycle completing
  //IPEND:Interrupt Masking Enable/Disable for All COM scan cycle is completing
void LED_INT_CMD(LED_INT_TypeDef LED_INT_x , FunctionalStatus NewState)
{
	if (NewState != DISABLE)
 258:	3940      	cmpnei      	r1, 0
 25a:	1160      	lrw      	r3, 0	// 2d8 <LED_Int_Disable+0x20>
 25c:	0c06      	bf      	0x268	// 268 <LED_INT_CMD+0x10>
	{
		LED0->IMCR  |= LED_INT_x;						//ENABLE
 25e:	9340      	ld.w      	r2, (r3, 0)
 260:	9263      	ld.w      	r3, (r2, 0xc)
 262:	6c0c      	or      	r0, r3
 264:	b203      	st.w      	r0, (r2, 0xc)
	}
	else
	{
		LED0->IMCR  &= ~LED_INT_x;						//DIABLE
	}
}  
 266:	783c      	rts
		LED0->IMCR  &= ~LED_INT_x;						//DIABLE
 268:	9360      	ld.w      	r3, (r3, 0)
 26a:	9343      	ld.w      	r2, (r3, 0xc)
 26c:	6c02      	nor      	r0, r0
 26e:	6808      	and      	r0, r2
 270:	b303      	st.w      	r0, (r3, 0xc)
}  
 272:	07fa      	br      	0x266	// 266 <LED_INT_CMD+0xe>

00000274 <LED_SEGDATX_data_write>:
//SEGDATX:SEGDAT_NUM0,SEGDAT_NUM1,SEGDAT_NUM2,SEGDAT_NUM3,SEGDAT_NUM4,SEGDAT_NUM5,SEGDAT_NUM6,SEGDAT_NUM7s
//SEGDATX_data:VALUE=1~0XFF
//ReturnValue:NONE
/*************************************************************/  
void LED_SEGDATX_data_write(LED_SEGDATX_TypeDef SEGDATX , U8_T SEGDATX_data)
{
 274:	14d0      	push      	r15
	switch(SEGDATX)
 276:	3807      	cmphsi      	r0, 8
 278:	080a      	bt      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>
 27a:	1078      	lrw      	r3, 0	// 2d8 <LED_Int_Disable+0x20>
			break;
		case SEGDAT_NUM6:
			LED0->SEGDATA6=SEGDATX_data;
			break;
		case SEGDAT_NUM7:
			LED0->SEGDATA7=SEGDATX_data;
 27c:	9360      	ld.w      	r3, (r3, 0)
	switch(SEGDATX)
 27e:	e0000000 	bsr      	0	// 0 <___gnu_csky_case_uqi>
 282:	0604      	.short	0x0604
 284:	0e0c0a08 	.long	0x0e0c0a08
 288:	1210      	.short	0x1210
			LED0->SEGDATA0=SEGDATX_data;
 28a:	b32b      	st.w      	r1, (r3, 0x2c)
			break;
	}		
} 
 28c:	1490      	pop      	r15
			LED0->SEGDATA1=SEGDATX_data;
 28e:	b32c      	st.w      	r1, (r3, 0x30)
			break;
 290:	07fe      	br      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>
			LED0->SEGDATA2=SEGDATX_data;
 292:	b32d      	st.w      	r1, (r3, 0x34)
			break;
 294:	07fc      	br      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>
			LED0->SEGDATA3=SEGDATX_data;
 296:	b32e      	st.w      	r1, (r3, 0x38)
			break;
 298:	07fa      	br      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>
			LED0->SEGDATA4=SEGDATX_data;
 29a:	b32f      	st.w      	r1, (r3, 0x3c)
			break;
 29c:	07f8      	br      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>
			LED0->SEGDATA5=SEGDATX_data;
 29e:	b330      	st.w      	r1, (r3, 0x40)
			break;
 2a0:	07f6      	br      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>
			LED0->SEGDATA6=SEGDATX_data;
 2a2:	b331      	st.w      	r1, (r3, 0x44)
			break;
 2a4:	07f4      	br      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>
			LED0->SEGDATA7=SEGDATX_data;
 2a6:	b332      	st.w      	r1, (r3, 0x48)
} 
 2a8:	07f2      	br      	0x28c	// 28c <LED_SEGDATX_data_write+0x18>

000002aa <LED_Int_Enable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void LED_Int_Enable(void)
{
    INTC_ISER_WRITE(LED_INT);    
 2aa:	106d      	lrw      	r3, 0	// 2dc <LED_Int_Disable+0x24>
 2ac:	3280      	movi      	r2, 128
 2ae:	9360      	ld.w      	r3, (r3, 0)
 2b0:	23ff      	addi      	r3, 256
 2b2:	4254      	lsli      	r2, r2, 20
 2b4:	b340      	st.w      	r2, (r3, 0)
}
 2b6:	783c      	rts

000002b8 <LED_Int_Disable>:
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void LED_Int_Disable(void)
{
    INTC_ICER_WRITE(LED_INT);    
 2b8:	1069      	lrw      	r3, 0	// 2dc <LED_Int_Disable+0x24>
 2ba:	32c0      	movi      	r2, 192
 2bc:	9360      	ld.w      	r3, (r3, 0)
 2be:	4241      	lsli      	r2, r2, 1
 2c0:	60c8      	addu      	r3, r2
 2c2:	3280      	movi      	r2, 128
 2c4:	4254      	lsli      	r2, r2, 20
 2c6:	b340      	st.w      	r2, (r3, 0)
} 
 2c8:	783c      	rts
	...
