
Obj/apt32f172_interrupt.o:     file format elf32-csky-little


Disassembly of section .text:

00000000 <CORETHandler>:
//CORET Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CORETHandler(void) 
{
   0:	1460      	nie
   2:	1462      	ipush
    // ISR content ...
	
	CK801->CORET_CVR = 0;							// Coret CVR 清除
   4:	1063      	lrw      	r3, 0	// 10 <CORETHandler+0x10>
   6:	3200      	movi      	r2, 0
   8:	9360      	ld.w      	r3, (r3, 0)
   a:	b346      	st.w      	r2, (r3, 0x18)
}
   c:	1463      	ipop
   e:	1461      	nir
  10:	00000000 	.long	0x00000000

00000014 <SYSCONIntHandler>:
//SYSCON Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void SYSCONIntHandler(void) 
{
  14:	1460      	nie
  16:	1462      	ipush
    // ISR content ...
	 if((SYSCON->ISR&ISOSC_ST)==ISOSC_ST)
  18:	136f      	lrw      	r3, 0	// 1d4 <EXI10to15IntHandler+0x10>
  1a:	3080      	movi      	r0, 128
  1c:	9360      	ld.w      	r3, (r3, 0)
  1e:	60c0      	addu      	r3, r0
  20:	9323      	ld.w      	r1, (r3, 0xc)
  22:	3201      	movi      	r2, 1
  24:	6848      	and      	r1, r2
  26:	3940      	cmpnei      	r1, 0
  28:	0c06      	bf      	0x34	// 34 <SYSCONIntHandler+0x20>
    {
        SYSCON->ICR = ISOSC_ST;
  2a:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_ISOSCSTFlag=1;
  2c:	136b      	lrw      	r3, 0	// 1d8 <EXI10to15IntHandler+0x14>
        SYSCON_EM_CMRCVFlag=1;
    }
    else if((SYSCON->ISR&CMD_ERR_ST)==CMD_ERR_ST)
    {
        SYSCON->ICR = CMD_ERR_ST;
        SYSCON_CMD_ERRFlag=1;
  2e:	a340      	st.b      	r2, (r3, 0)
    }
}
  30:	1463      	ipop
  32:	1461      	nir
    else if((SYSCON->ISR&IMOSC_ST)==IMOSC_ST)
  34:	9323      	ld.w      	r1, (r3, 0xc)
  36:	3202      	movi      	r2, 2
  38:	6848      	and      	r1, r2
  3a:	3940      	cmpnei      	r1, 0
  3c:	0c05      	bf      	0x46	// 46 <SYSCONIntHandler+0x32>
        SYSCON->ICR = IMOSC_ST;
  3e:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_IMOSCSTFlag=1;
  40:	1367      	lrw      	r3, 0	// 1dc <EXI10to15IntHandler+0x18>
        SYSCON_CMD_ERRFlag=1;
  42:	3201      	movi      	r2, 1
  44:	07f5      	br      	0x2e	// 2e <SYSCONIntHandler+0x1a>
    else if((SYSCON->ISR&EMOSC_ST)==EMOSC_ST)
  46:	9323      	ld.w      	r1, (r3, 0xc)
  48:	3208      	movi      	r2, 8
  4a:	6848      	and      	r1, r2
  4c:	3940      	cmpnei      	r1, 0
  4e:	0c04      	bf      	0x56	// 56 <SYSCONIntHandler+0x42>
        SYSCON->ICR = EMOSC_ST;
  50:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_EMOSCSTFlag=1;
  52:	1364      	lrw      	r3, 0	// 1e0 <EXI10to15IntHandler+0x1c>
  54:	07f7      	br      	0x42	// 42 <SYSCONIntHandler+0x2e>
    else if((SYSCON->ISR&SYSCLK_ST)==SYSCLK_ST)
  56:	9343      	ld.w      	r2, (r3, 0xc)
  58:	6880      	and      	r2, r0
  5a:	3a40      	cmpnei      	r2, 0
  5c:	0c05      	bf      	0x66	// 66 <SYSCONIntHandler+0x52>
        SYSCON->ICR = SYSCLK_ST;
  5e:	3280      	movi      	r2, 128
  60:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_SYSCLKSTFlag=1;
  62:	1361      	lrw      	r3, 0	// 1e4 <EXI10to15IntHandler+0x20>
  64:	07ef      	br      	0x42	// 42 <SYSCONIntHandler+0x2e>
    else if((SYSCON->ISR&IWDT_INT_ST)==IWDT_INT_ST)
  66:	3280      	movi      	r2, 128
  68:	9323      	ld.w      	r1, (r3, 0xc)
  6a:	4241      	lsli      	r2, r2, 1
  6c:	6848      	and      	r1, r2
  6e:	3940      	cmpnei      	r1, 0
  70:	0c04      	bf      	0x78	// 78 <SYSCONIntHandler+0x64>
        SYSCON->ICR = IWDT_INT_ST;
  72:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_IWDTINTFlag=1;
  74:	127d      	lrw      	r3, 0	// 1e8 <EXI10to15IntHandler+0x24>
  76:	07e6      	br      	0x42	// 42 <SYSCONIntHandler+0x2e>
    else if((SYSCON->ISR&LVD_INT_ST)==LVD_INT_ST)
  78:	3280      	movi      	r2, 128
  7a:	9323      	ld.w      	r1, (r3, 0xc)
  7c:	4244      	lsli      	r2, r2, 4
  7e:	6848      	and      	r1, r2
  80:	3940      	cmpnei      	r1, 0
  82:	0c04      	bf      	0x8a	// 8a <SYSCONIntHandler+0x76>
        SYSCON->ICR = LVD_INT_ST;
  84:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_LVDINTFlag=1;
  86:	127a      	lrw      	r3, 0	// 1ec <EXI10to15IntHandler+0x28>
  88:	07dd      	br      	0x42	// 42 <SYSCONIntHandler+0x2e>
    else if((SYSCON->ISR&EM_CMFAIL_ST)==EM_CMFAIL_ST)
  8a:	3280      	movi      	r2, 128
  8c:	9323      	ld.w      	r1, (r3, 0xc)
  8e:	424b      	lsli      	r2, r2, 11
  90:	6848      	and      	r1, r2
  92:	3940      	cmpnei      	r1, 0
  94:	0c04      	bf      	0x9c	// 9c <SYSCONIntHandler+0x88>
        SYSCON->ICR = EM_CMFAIL_ST;
  96:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_EM_CMFAILFlag=1;
  98:	1276      	lrw      	r3, 0	// 1f0 <EXI10to15IntHandler+0x2c>
  9a:	07d4      	br      	0x42	// 42 <SYSCONIntHandler+0x2e>
    else if((SYSCON->ISR&EM_CMRCV_ST)==EM_CMRCV_ST)
  9c:	3280      	movi      	r2, 128
  9e:	9323      	ld.w      	r1, (r3, 0xc)
  a0:	424c      	lsli      	r2, r2, 12
  a2:	6848      	and      	r1, r2
  a4:	3940      	cmpnei      	r1, 0
  a6:	0c04      	bf      	0xae	// ae <SYSCONIntHandler+0x9a>
        SYSCON->ICR = EM_CMRCV_ST;
  a8:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_EM_CMRCVFlag=1;
  aa:	1273      	lrw      	r3, 0	// 1f4 <EXI10to15IntHandler+0x30>
  ac:	07cb      	br      	0x42	// 42 <SYSCONIntHandler+0x2e>
    else if((SYSCON->ISR&CMD_ERR_ST)==CMD_ERR_ST)
  ae:	3280      	movi      	r2, 128
  b0:	9323      	ld.w      	r1, (r3, 0xc)
  b2:	4256      	lsli      	r2, r2, 22
  b4:	6848      	and      	r1, r2
  b6:	3940      	cmpnei      	r1, 0
  b8:	0fbc      	bf      	0x30	// 30 <SYSCONIntHandler+0x1c>
        SYSCON->ICR = CMD_ERR_ST;
  ba:	b341      	st.w      	r2, (r3, 0x4)
        SYSCON_CMD_ERRFlag=1;
  bc:	126f      	lrw      	r3, 0	// 1f8 <EXI10to15IntHandler+0x34>
  be:	07c2      	br      	0x42	// 42 <SYSCONIntHandler+0x2e>

000000c0 <IFCIntHandler>:
//IFC Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void IFCIntHandler(void)
{
  c0:	1460      	nie
  c2:	1462      	ipush
    // ISR content ...
	if((IFC->MISR&End_INT)==End_INT)
  c4:	126e      	lrw      	r3, 0	// 1fc <EXI10to15IntHandler+0x38>
  c6:	3101      	movi      	r1, 1
  c8:	9360      	ld.w      	r3, (r3, 0)
  ca:	934b      	ld.w      	r2, (r3, 0x2c)
  cc:	6884      	and      	r2, r1
  ce:	3a40      	cmpnei      	r2, 0
  d0:	0c04      	bf      	0xd8	// d8 <IFCIntHandler+0x18>
    {
        IFC->ICLR = End_INT;
  d2:	3201      	movi      	r2, 1
    } else if((IFC->MISR&Add_INT)==Add_INT)
    {
        IFC->ICLR = Add_INT;
    } else if((IFC->MISR&OverWrite_INT)==OverWrite_INT)
    {
        IFC->ICLR = OverWrite_INT;
  d4:	b34c      	st.w      	r2, (r3, 0x30)
    }
}
  d6:	0419      	br      	0x108	// 108 <IFCIntHandler+0x48>
    } else if((IFC->MISR&Port_INT)==Port_INT)
  d8:	3280      	movi      	r2, 128
  da:	932b      	ld.w      	r1, (r3, 0x2c)
  dc:	4245      	lsli      	r2, r2, 5
  de:	6848      	and      	r1, r2
  e0:	3940      	cmpnei      	r1, 0
  e2:	0bf9      	bt      	0xd4	// d4 <IFCIntHandler+0x14>
    } else if((IFC->MISR&Undefine_INT)==Undefine_INT)
  e4:	3280      	movi      	r2, 128
  e6:	932b      	ld.w      	r1, (r3, 0x2c)
  e8:	4246      	lsli      	r2, r2, 6
  ea:	6848      	and      	r1, r2
  ec:	3940      	cmpnei      	r1, 0
  ee:	0bf3      	bt      	0xd4	// d4 <IFCIntHandler+0x14>
    } else if((IFC->MISR&Add_INT)==Add_INT)
  f0:	3280      	movi      	r2, 128
  f2:	932b      	ld.w      	r1, (r3, 0x2c)
  f4:	4247      	lsli      	r2, r2, 7
  f6:	6848      	and      	r1, r2
  f8:	3940      	cmpnei      	r1, 0
  fa:	0bed      	bt      	0xd4	// d4 <IFCIntHandler+0x14>
    } else if((IFC->MISR&OverWrite_INT)==OverWrite_INT)
  fc:	3280      	movi      	r2, 128
  fe:	932b      	ld.w      	r1, (r3, 0x2c)
 100:	4248      	lsli      	r2, r2, 8
 102:	6848      	and      	r1, r2
 104:	3940      	cmpnei      	r1, 0
 106:	0be7      	bt      	0xd4	// d4 <IFCIntHandler+0x14>
}
 108:	1463      	ipop
 10a:	1461      	nir

0000010c <EXI0IntHandler>:
//EXI0 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void EXI0IntHandler(void) 
{
 10c:	1460      	nie
 10e:	1462      	ipush
    // ISR content ...
	if ((SYSCON->EXIRS&EXI_PIN0)==EXI_PIN0) 
 110:	1171      	lrw      	r3, 0	// 1d4 <EXI10to15IntHandler+0x10>
 112:	3101      	movi      	r1, 1
 114:	9360      	ld.w      	r3, (r3, 0)
 116:	237f      	addi      	r3, 128
 118:	934c      	ld.w      	r2, (r3, 0x30)
 11a:	6884      	and      	r2, r1
 11c:	3a40      	cmpnei      	r2, 0
 11e:	0c03      	bf      	0x124	// 124 <EXI0IntHandler+0x18>
    {
        SYSCON->EXICR = EXI_PIN0;
 120:	3201      	movi      	r2, 1
 122:	b34b      	st.w      	r2, (r3, 0x2c)
    }
}
 124:	1463      	ipop
 126:	1461      	nir

00000128 <EXI1IntHandler>:
//EXI1 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void EXI1IntHandler(void) 
{
 128:	1460      	nie
 12a:	1462      	ipush
    // ISR content ...
	if ((SYSCON->EXIRS&EXI_PIN1)==EXI_PIN1) 
 12c:	116a      	lrw      	r3, 0	// 1d4 <EXI10to15IntHandler+0x10>
 12e:	3102      	movi      	r1, 2
 130:	9360      	ld.w      	r3, (r3, 0)
 132:	237f      	addi      	r3, 128
 134:	934c      	ld.w      	r2, (r3, 0x30)
 136:	6884      	and      	r2, r1
 138:	3a40      	cmpnei      	r2, 0
 13a:	0c03      	bf      	0x140	// 140 <EXI1IntHandler+0x18>
    {
        SYSCON->EXICR = EXI_PIN1;
 13c:	3202      	movi      	r2, 2
 13e:	b34b      	st.w      	r2, (r3, 0x2c)
    }
}
 140:	1463      	ipop
 142:	1461      	nir

00000144 <EXI2to3IntHandler>:
//EXI2~EXI3 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void EXI2to3IntHandler(void) 
{
 144:	1460      	nie
 146:	1462      	ipush
    // ISR content ...
	if ((SYSCON->EXIRS&EXI_PIN2)==EXI_PIN2) 
 148:	1163      	lrw      	r3, 0	// 1d4 <EXI10to15IntHandler+0x10>
 14a:	3104      	movi      	r1, 4
 14c:	9360      	ld.w      	r3, (r3, 0)
 14e:	237f      	addi      	r3, 128
 150:	934c      	ld.w      	r2, (r3, 0x30)
 152:	6884      	and      	r2, r1
 154:	3a40      	cmpnei      	r2, 0
 156:	0c05      	bf      	0x160	// 160 <EXI2to3IntHandler+0x1c>
    {
        SYSCON->EXICR = EXI_PIN2;
 158:	3204      	movi      	r2, 4
    } 
    else if ((SYSCON->EXIRS&EXI_PIN3)==EXI_PIN3) 
    {
        SYSCON->EXICR = EXI_PIN3;
 15a:	b34b      	st.w      	r2, (r3, 0x2c)
    }
}
 15c:	1463      	ipop
 15e:	1461      	nir
    else if ((SYSCON->EXIRS&EXI_PIN3)==EXI_PIN3) 
 160:	934c      	ld.w      	r2, (r3, 0x30)
 162:	3108      	movi      	r1, 8
 164:	6884      	and      	r2, r1
 166:	3a40      	cmpnei      	r2, 0
 168:	0ffa      	bf      	0x15c	// 15c <EXI2to3IntHandler+0x18>
        SYSCON->EXICR = EXI_PIN3;
 16a:	3208      	movi      	r2, 8
 16c:	07f7      	br      	0x15a	// 15a <EXI2to3IntHandler+0x16>

0000016e <EXI4to9IntHandler>:
//EXI4~EXI9 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void EXI4to9IntHandler(void) 
{
 16e:	1460      	nie
 170:	1462      	ipush
    // ISR content ...
	if ((SYSCON->EXIRS&EXI_PIN4)==EXI_PIN4) 
 172:	1079      	lrw      	r3, 0	// 1d4 <EXI10to15IntHandler+0x10>
 174:	3080      	movi      	r0, 128
 176:	9360      	ld.w      	r3, (r3, 0)
 178:	60c0      	addu      	r3, r0
 17a:	932c      	ld.w      	r1, (r3, 0x30)
 17c:	3210      	movi      	r2, 16
 17e:	6848      	and      	r1, r2
 180:	3940      	cmpnei      	r1, 0
 182:	0c03      	bf      	0x188	// 188 <EXI4to9IntHandler+0x1a>
    {
        SYSCON->EXICR = EXI_PIN8;
    }
	else if ((SYSCON->EXIRS&EXI_PIN9)==EXI_PIN9) 
	{
        SYSCON->EXICR = EXI_PIN9;
 184:	b34b      	st.w      	r2, (r3, 0x2c)
	}
}
 186:	041d      	br      	0x1c0	// 1c0 <EXI4to9IntHandler+0x52>
    else if ((SYSCON->EXIRS&EXI_PIN5)==EXI_PIN5) 
 188:	932c      	ld.w      	r1, (r3, 0x30)
 18a:	3220      	movi      	r2, 32
 18c:	6848      	and      	r1, r2
 18e:	3940      	cmpnei      	r1, 0
 190:	0bfa      	bt      	0x184	// 184 <EXI4to9IntHandler+0x16>
    else if ((SYSCON->EXIRS&EXI_PIN6)==EXI_PIN6) 
 192:	932c      	ld.w      	r1, (r3, 0x30)
 194:	3240      	movi      	r2, 64
 196:	6848      	and      	r1, r2
 198:	3940      	cmpnei      	r1, 0
 19a:	0bf5      	bt      	0x184	// 184 <EXI4to9IntHandler+0x16>
    else if ((SYSCON->EXIRS&EXI_PIN7)==EXI_PIN7) 
 19c:	934c      	ld.w      	r2, (r3, 0x30)
 19e:	6880      	and      	r2, r0
 1a0:	3a40      	cmpnei      	r2, 0
 1a2:	0c03      	bf      	0x1a8	// 1a8 <EXI4to9IntHandler+0x3a>
        SYSCON->EXICR = EXI_PIN7;
 1a4:	3280      	movi      	r2, 128
 1a6:	07ef      	br      	0x184	// 184 <EXI4to9IntHandler+0x16>
    else if ((SYSCON->EXIRS&EXI_PIN8)==EXI_PIN8) 
 1a8:	3280      	movi      	r2, 128
 1aa:	932c      	ld.w      	r1, (r3, 0x30)
 1ac:	4241      	lsli      	r2, r2, 1
 1ae:	6848      	and      	r1, r2
 1b0:	3940      	cmpnei      	r1, 0
 1b2:	0be9      	bt      	0x184	// 184 <EXI4to9IntHandler+0x16>
	else if ((SYSCON->EXIRS&EXI_PIN9)==EXI_PIN9) 
 1b4:	3280      	movi      	r2, 128
 1b6:	932c      	ld.w      	r1, (r3, 0x30)
 1b8:	4242      	lsli      	r2, r2, 2
 1ba:	6848      	and      	r1, r2
 1bc:	3940      	cmpnei      	r1, 0
 1be:	0be3      	bt      	0x184	// 184 <EXI4to9IntHandler+0x16>
}
 1c0:	1463      	ipop
 1c2:	1461      	nir

000001c4 <EXI10to15IntHandler>:
//EXI10~EXI15 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void EXI10to15IntHandler(void) 
{
 1c4:	1460      	nie
 1c6:	1462      	ipush
    if ((SYSCON->EXIRS&EXI_PIN10)==EXI_PIN10) 
 1c8:	1063      	lrw      	r3, 0	// 1d4 <EXI10to15IntHandler+0x10>
 1ca:	3280      	movi      	r2, 128
 1cc:	9360      	ld.w      	r3, (r3, 0)
 1ce:	237f      	addi      	r3, 128
 1d0:	0418      	br      	0x200	// 200 <EXI10to15IntHandler+0x3c>
	...
 1fe:	0000      	.short	0x0000
 200:	932c      	ld.w      	r1, (r3, 0x30)
 202:	4243      	lsli      	r2, r2, 3
 204:	6848      	and      	r1, r2
 206:	3940      	cmpnei      	r1, 0
 208:	0c03      	bf      	0x20e	// 20e <EXI10to15IntHandler+0x4a>
    {
        SYSCON->EXICR = EXI_PIN14;
    }
	else if ((SYSCON->EXIRS&EXI_PIN15)==EXI_PIN15) 
	{
        SYSCON->EXICR = EXI_PIN15;
 20a:	b34b      	st.w      	r2, (r3, 0x2c)
    }
}
 20c:	041f      	br      	0x24a	// 24a <EXI10to15IntHandler+0x86>
    else if ((SYSCON->EXIRS&EXI_PIN11)==EXI_PIN11) 
 20e:	3280      	movi      	r2, 128
 210:	932c      	ld.w      	r1, (r3, 0x30)
 212:	4244      	lsli      	r2, r2, 4
 214:	6848      	and      	r1, r2
 216:	3940      	cmpnei      	r1, 0
 218:	0bf9      	bt      	0x20a	// 20a <EXI10to15IntHandler+0x46>
    else if ((SYSCON->EXIRS&EXI_PIN12)==EXI_PIN12) 
 21a:	3280      	movi      	r2, 128
 21c:	932c      	ld.w      	r1, (r3, 0x30)
 21e:	4245      	lsli      	r2, r2, 5
 220:	6848      	and      	r1, r2
 222:	3940      	cmpnei      	r1, 0
 224:	0bf3      	bt      	0x20a	// 20a <EXI10to15IntHandler+0x46>
    else if ((SYSCON->EXIRS&EXI_PIN13)==EXI_PIN13) 
 226:	3280      	movi      	r2, 128
 228:	932c      	ld.w      	r1, (r3, 0x30)
 22a:	4246      	lsli      	r2, r2, 6
 22c:	6848      	and      	r1, r2
 22e:	3940      	cmpnei      	r1, 0
 230:	0bed      	bt      	0x20a	// 20a <EXI10to15IntHandler+0x46>
	else if ((SYSCON->EXIRS&EXI_PIN14)==EXI_PIN14) 
 232:	3280      	movi      	r2, 128
 234:	932c      	ld.w      	r1, (r3, 0x30)
 236:	4247      	lsli      	r2, r2, 7
 238:	6848      	and      	r1, r2
 23a:	3940      	cmpnei      	r1, 0
 23c:	0be7      	bt      	0x20a	// 20a <EXI10to15IntHandler+0x46>
	else if ((SYSCON->EXIRS&EXI_PIN15)==EXI_PIN15) 
 23e:	3280      	movi      	r2, 128
 240:	932c      	ld.w      	r1, (r3, 0x30)
 242:	4248      	lsli      	r2, r2, 8
 244:	6848      	and      	r1, r2
 246:	3940      	cmpnei      	r1, 0
 248:	0be1      	bt      	0x20a	// 20a <EXI10to15IntHandler+0x46>
}
 24a:	1463      	ipop
 24c:	1461      	nir

0000024e <USART0IntHandler>:
//USART0 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void USART0IntHandler(void) 
{
 24e:	1460      	nie
 250:	1462      	ipush
    // ISR content ...
	unsigned int status;
	status = USART0->MISR & USART0->IMSCR ;
 252:	1371      	lrw      	r3, 0	// 414 <GPT_2IntHandler+0x14>
 254:	9320      	ld.w      	r1, (r3, 0)
 256:	9167      	ld.w      	r3, (r1, 0x1c)
 258:	9145      	ld.w      	r2, (r1, 0x14)
 25a:	68c8      	and      	r3, r2
	if( status & USART_RXRDY ) 
 25c:	3201      	movi      	r2, 1
 25e:	68c8      	and      	r3, r2
 260:	3b40      	cmpnei      	r3, 0
 262:	0c14      	bf      	0x28a	// 28a <USART0IntHandler+0x3c>
	{
	   r_usrat_cont++;
 264:	136d      	lrw      	r3, 0	// 418 <GPT_2IntHandler+0x18>
 266:	8340      	ld.b      	r2, (r3, 0)
 268:	2200      	addi      	r2, 1
 26a:	7488      	zextb      	r2, r2
 26c:	a340      	st.b      	r2, (r3, 0)
		if(r_usrat_cont>=3)
 26e:	8300      	ld.b      	r0, (r3, 0)
 270:	3202      	movi      	r2, 2
 272:	6408      	cmphs      	r2, r0
 274:	0803      	bt      	0x27a	// 27a <USART0IntHandler+0x2c>
		{
			r_usrat_cont=0;
 276:	3200      	movi      	r2, 0
 278:	a340      	st.b      	r2, (r3, 0)
		}
		r_usart_buf[r_usrat_cont]=CSP_USART_GET_RHR(USART0);
 27a:	8360      	ld.b      	r3, (r3, 0)
 27c:	1308      	lrw      	r0, 0	// 41c <GPT_2IntHandler+0x1c>
 27e:	60c0      	addu      	r3, r0
 280:	914a      	ld.w      	r2, (r1, 0x28)
 282:	7488      	zextb      	r2, r2
 284:	a340      	st.b      	r2, (r3, 0)
		CSP_USART_SET_ICR(USART0, USART_RXRDY);
 286:	3301      	movi      	r3, 1
 288:	b168      	st.w      	r3, (r1, 0x20)
	}
	if (status & USART_TXRDY) 
	{
		//CSP_USART_SET_ICR(USART0, USART_TXRDY);
	}
}
 28a:	1463      	ipop
 28c:	1461      	nir

0000028e <UART1IntHandler>:
//UART1 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void UART1IntHandler(void) 
{
 28e:	1460      	nie
 290:	1462      	ipush
	// ISR content ...
	if (UART1->ISR&UART_RX_INT_S)
 292:	1364      	lrw      	r3, 0	// 420 <GPT_2IntHandler+0x20>
 294:	3002      	movi      	r0, 2
 296:	9360      	ld.w      	r3, (r3, 0)
 298:	9343      	ld.w      	r2, (r3, 0xc)
 29a:	6880      	and      	r2, r0
 29c:	3a40      	cmpnei      	r2, 0
 29e:	0c13      	bf      	0x2c4	// 2c4 <UART1IntHandler+0x36>
	{
		r_urat_cont++;
 2a0:	1341      	lrw      	r2, 0	// 424 <GPT_2IntHandler+0x24>
 2a2:	8220      	ld.b      	r1, (r2, 0)
 2a4:	2100      	addi      	r1, 1
 2a6:	7444      	zextb      	r1, r1
 2a8:	a220      	st.b      	r1, (r2, 0)
		if(r_urat_cont>=3)
 2aa:	8220      	ld.b      	r1, (r2, 0)
 2ac:	6440      	cmphs      	r0, r1
 2ae:	0803      	bt      	0x2b4	// 2b4 <UART1IntHandler+0x26>
		{
			r_urat_cont=0;
 2b0:	3100      	movi      	r1, 0
 2b2:	a220      	st.b      	r1, (r2, 0)
		}
		r_uart_buf[r_urat_cont]=CSP_UART_GET_DATA(UART1);
 2b4:	8240      	ld.b      	r2, (r2, 0)
 2b6:	121d      	lrw      	r0, 0	// 428 <GPT_2IntHandler+0x28>
 2b8:	6080      	addu      	r2, r0
 2ba:	9320      	ld.w      	r1, (r3, 0)
 2bc:	7444      	zextb      	r1, r1
 2be:	a220      	st.b      	r1, (r2, 0)
		UART1->ISR=UART_RX_INT_S;
 2c0:	3202      	movi      	r2, 2
 2c2:	b343      	st.w      	r2, (r3, 0xc)
	}
	if( UART1->ISR&UART_TX_INT_S) 
 2c4:	9343      	ld.w      	r2, (r3, 0xc)
    {
		//UART1->ISR=UART_TX_INT_S;
	}
	if ((UART1->ISR&UART_RX_IOV_S)==UART_RX_IOV_S)
 2c6:	3108      	movi      	r1, 8
 2c8:	9343      	ld.w      	r2, (r3, 0xc)
 2ca:	6884      	and      	r2, r1
 2cc:	3a40      	cmpnei      	r2, 0
 2ce:	0c03      	bf      	0x2d4	// 2d4 <UART1IntHandler+0x46>
	{
		UART1->ISR=UART_RX_IOV_S;
 2d0:	3208      	movi      	r2, 8
 2d2:	b343      	st.w      	r2, (r3, 0xc)
	}
	if ((UART1->ISR&UART_TX_IOV_S)==UART_TX_IOV_S)
 2d4:	9343      	ld.w      	r2, (r3, 0xc)
 2d6:	3104      	movi      	r1, 4
 2d8:	6884      	and      	r2, r1
 2da:	3a40      	cmpnei      	r2, 0
 2dc:	0c03      	bf      	0x2e2	// 2e2 <UART1IntHandler+0x54>
	{
		UART1->ISR=UART_TX_IOV_S;
 2de:	3204      	movi      	r2, 4
 2e0:	b343      	st.w      	r2, (r3, 0xc)
	}
	if ((UART1->ISR&UART_PAR_ERR_S)==UART_PAR_ERR_S)
 2e2:	9343      	ld.w      	r2, (r3, 0xc)
 2e4:	3110      	movi      	r1, 16
 2e6:	6884      	and      	r2, r1
 2e8:	3a40      	cmpnei      	r2, 0
 2ea:	0c03      	bf      	0x2f0	// 2f0 <UART1IntHandler+0x62>
	{
		UART1->ISR=UART_PAR_ERR_S;
 2ec:	3210      	movi      	r2, 16
 2ee:	b343      	st.w      	r2, (r3, 0xc)
	}
}
 2f0:	1463      	ipop
 2f2:	1461      	nir

000002f4 <I2CIntHandler>:
//I2C Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void I2CIntHandler(void) 
{
 2f4:	1460      	nie
 2f6:	1462      	ipush
 2f8:	14d0      	push      	r15
		}
    }*/
    //I2C slave
    //else if (I2CMode==0)
   // {
		I2C_Slave_Receive();
 2fa:	e0000000 	bsr      	0	// 0 <I2C_Slave_Receive>
   // }
}
 2fe:	d9ee2000 	ld.w      	r15, (sp, 0)
 302:	1401      	addi      	sp, sp, 4
 304:	1463      	ipop
 306:	1461      	nir

00000308 <GPT_0IntHandler>:
//GPT_0 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void GPT_0IntHandler(void) 
{
 308:	1460      	nie
 30a:	1462      	ipush
    // ISR content ...
	if((GPTCH0->SR&GPTCHX_INT_COVFS)==GPTCHX_INT_COVFS)
 30c:	1268      	lrw      	r3, 0	// 42c <GPT_2IntHandler+0x2c>
 30e:	3101      	movi      	r1, 1
 310:	9360      	ld.w      	r3, (r3, 0)
 312:	935c      	ld.w      	r2, (r3, 0x70)
 314:	6884      	and      	r2, r1
 316:	3a40      	cmpnei      	r2, 0
 318:	0c03      	bf      	0x31e	// 31e <GPT_0IntHandler+0x16>
	{
		GPTCH0->CSR = GPTCHX_INT_COVFS;
 31a:	3201      	movi      	r2, 1
 31c:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH0->SR&GPTCHX_INT_LOVRS)==GPTCHX_INT_LOVRS)
 31e:	935c      	ld.w      	r2, (r3, 0x70)
 320:	3102      	movi      	r1, 2
 322:	6884      	and      	r2, r1
 324:	3a40      	cmpnei      	r2, 0
 326:	0c03      	bf      	0x32c	// 32c <GPT_0IntHandler+0x24>
	{
		GPTCH0->CSR = GPTCHX_INT_LOVRS;
 328:	3202      	movi      	r2, 2
 32a:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH0->SR&GPTCHX_INT_CPAS)==GPTCHX_INT_CPAS)
 32c:	935c      	ld.w      	r2, (r3, 0x70)
 32e:	3104      	movi      	r1, 4
 330:	6884      	and      	r2, r1
 332:	3a40      	cmpnei      	r2, 0
 334:	0c03      	bf      	0x33a	// 33a <GPT_0IntHandler+0x32>
	{
		GPTCH0->CSR = GPTCHX_INT_CPAS;
 336:	3204      	movi      	r2, 4
 338:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH0->SR&GPTCHX_INT_CPBS)==GPTCHX_INT_CPBS)
 33a:	935c      	ld.w      	r2, (r3, 0x70)
 33c:	3108      	movi      	r1, 8
 33e:	6884      	and      	r2, r1
 340:	3a40      	cmpnei      	r2, 0
 342:	0c03      	bf      	0x348	// 348 <GPT_0IntHandler+0x40>
	{
		GPTCH0->CSR = GPTCHX_INT_CPBS;
 344:	3208      	movi      	r2, 8
 346:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH0->SR&GPTCHX_INT_CPCS)==GPTCHX_INT_CPCS)
 348:	935c      	ld.w      	r2, (r3, 0x70)
 34a:	3110      	movi      	r1, 16
 34c:	6884      	and      	r2, r1
 34e:	3a40      	cmpnei      	r2, 0
 350:	0c03      	bf      	0x356	// 356 <GPT_0IntHandler+0x4e>
	{
		GPTCH0->CSR = GPTCHX_INT_CPCS;
 352:	3210      	movi      	r2, 16
 354:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH0->SR&GPTCHX_INT_LDRAS)==GPTCHX_INT_LDRAS)
 356:	935c      	ld.w      	r2, (r3, 0x70)
 358:	3120      	movi      	r1, 32
 35a:	6884      	and      	r2, r1
 35c:	3a40      	cmpnei      	r2, 0
 35e:	0c03      	bf      	0x364	// 364 <GPT_0IntHandler+0x5c>
	{
		GPTCH0->CSR = GPTCHX_INT_LDRAS;
 360:	3220      	movi      	r2, 32
 362:	b35b      	st.w      	r2, (r3, 0x6c)
		//RA_Capture=GPTCH0->RA;
	}
	if((GPTCH0->SR&GPTCHX_INT_LDRBS)==GPTCHX_INT_LDRBS)
 364:	935c      	ld.w      	r2, (r3, 0x70)
 366:	3140      	movi      	r1, 64
 368:	6884      	and      	r2, r1
 36a:	3a40      	cmpnei      	r2, 0
 36c:	0c03      	bf      	0x372	// 372 <GPT_0IntHandler+0x6a>
	{
		GPTCH0->CSR = GPTCHX_INT_LDRBS;
 36e:	3240      	movi      	r2, 64
 370:	b35b      	st.w      	r2, (r3, 0x6c)
		//RB_Capture=GPTCH0->RB;
	}
	if((GPTCH0->SR&GPTCHX_INT_ETRGS)==GPTCHX_INT_ETRGS)
 372:	935c      	ld.w      	r2, (r3, 0x70)
 374:	3180      	movi      	r1, 128
 376:	6884      	and      	r2, r1
 378:	3a40      	cmpnei      	r2, 0
 37a:	0c03      	bf      	0x380	// 380 <GPT_0IntHandler+0x78>
	{
		GPTCH0->CSR = GPTCHX_INT_ETRGS;
 37c:	3280      	movi      	r2, 128
 37e:	b35b      	st.w      	r2, (r3, 0x6c)
	}
}
 380:	1463      	ipop
 382:	1461      	nir

00000384 <GPT_1IntHandler>:
//GPT_1 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void GPT_1IntHandler(void) 
{
 384:	1460      	nie
 386:	1462      	ipush
	// ISR content ...
	if((GPTCH1->SR&GPTCHX_INT_COVFS)==GPTCHX_INT_COVFS)
 388:	116a      	lrw      	r3, 0	// 430 <GPT_2IntHandler+0x30>
 38a:	3101      	movi      	r1, 1
 38c:	9360      	ld.w      	r3, (r3, 0)
 38e:	935c      	ld.w      	r2, (r3, 0x70)
 390:	6884      	and      	r2, r1
 392:	3a40      	cmpnei      	r2, 0
 394:	0c03      	bf      	0x39a	// 39a <GPT_1IntHandler+0x16>
	{
		GPTCH1->CSR = GPTCHX_INT_COVFS;
 396:	3201      	movi      	r2, 1
 398:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH1->SR&GPTCHX_INT_LOVRS)==GPTCHX_INT_LOVRS)
 39a:	935c      	ld.w      	r2, (r3, 0x70)
 39c:	3102      	movi      	r1, 2
 39e:	6884      	and      	r2, r1
 3a0:	3a40      	cmpnei      	r2, 0
 3a2:	0c03      	bf      	0x3a8	// 3a8 <GPT_1IntHandler+0x24>
	{
		GPTCH1->CSR = GPTCHX_INT_LOVRS;
 3a4:	3202      	movi      	r2, 2
 3a6:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH1->SR&GPTCHX_INT_CPAS)==GPTCHX_INT_CPAS)
 3a8:	935c      	ld.w      	r2, (r3, 0x70)
 3aa:	3104      	movi      	r1, 4
 3ac:	6884      	and      	r2, r1
 3ae:	3a40      	cmpnei      	r2, 0
 3b0:	0c03      	bf      	0x3b6	// 3b6 <GPT_1IntHandler+0x32>
	{
		GPTCH1->CSR = GPTCHX_INT_CPAS;
 3b2:	3204      	movi      	r2, 4
 3b4:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH1->SR&GPTCHX_INT_CPBS)==GPTCHX_INT_CPBS)
 3b6:	935c      	ld.w      	r2, (r3, 0x70)
 3b8:	3108      	movi      	r1, 8
 3ba:	6884      	and      	r2, r1
 3bc:	3a40      	cmpnei      	r2, 0
 3be:	0c03      	bf      	0x3c4	// 3c4 <GPT_1IntHandler+0x40>
	{
		GPTCH1->CSR = GPTCHX_INT_CPBS;
 3c0:	3208      	movi      	r2, 8
 3c2:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH1->SR&GPTCHX_INT_CPCS)==GPTCHX_INT_CPCS)
 3c4:	935c      	ld.w      	r2, (r3, 0x70)
 3c6:	3110      	movi      	r1, 16
 3c8:	6884      	and      	r2, r1
 3ca:	3a40      	cmpnei      	r2, 0
 3cc:	0c03      	bf      	0x3d2	// 3d2 <GPT_1IntHandler+0x4e>
	{
		GPTCH1->CSR = GPTCHX_INT_CPCS;
 3ce:	3210      	movi      	r2, 16
 3d0:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH1->SR&GPTCHX_INT_LDRAS)==GPTCHX_INT_LDRAS)
 3d2:	935c      	ld.w      	r2, (r3, 0x70)
 3d4:	3120      	movi      	r1, 32
 3d6:	6884      	and      	r2, r1
 3d8:	3a40      	cmpnei      	r2, 0
 3da:	0c03      	bf      	0x3e0	// 3e0 <GPT_1IntHandler+0x5c>
	{
		GPTCH1->CSR = GPTCHX_INT_LDRAS;
 3dc:	3220      	movi      	r2, 32
 3de:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH1->SR&GPTCHX_INT_LDRBS)==GPTCHX_INT_LDRBS)
 3e0:	935c      	ld.w      	r2, (r3, 0x70)
 3e2:	3140      	movi      	r1, 64
 3e4:	6884      	and      	r2, r1
 3e6:	3a40      	cmpnei      	r2, 0
 3e8:	0c03      	bf      	0x3ee	// 3ee <GPT_1IntHandler+0x6a>
	{
		GPTCH1->CSR = GPTCHX_INT_LDRBS;
 3ea:	3240      	movi      	r2, 64
 3ec:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH1->SR&GPTCHX_INT_ETRGS)==GPTCHX_INT_ETRGS)
 3ee:	935c      	ld.w      	r2, (r3, 0x70)
 3f0:	3180      	movi      	r1, 128
 3f2:	6884      	and      	r2, r1
 3f4:	3a40      	cmpnei      	r2, 0
 3f6:	0c03      	bf      	0x3fc	// 3fc <GPT_1IntHandler+0x78>
	{
		GPTCH1->CSR = GPTCHX_INT_ETRGS;
 3f8:	3280      	movi      	r2, 128
 3fa:	b35b      	st.w      	r2, (r3, 0x6c)
	}
}
 3fc:	1463      	ipop
 3fe:	1461      	nir

00000400 <GPT_2IntHandler>:
//GPT_2 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void GPT_2IntHandler(void) 
{
 400:	1460      	nie
 402:	1462      	ipush
    // ISR content ...
	if((GPTCH2->SR&GPTCHX_INT_COVFS)==GPTCHX_INT_COVFS)
 404:	106c      	lrw      	r3, 0	// 434 <GPT_2IntHandler+0x34>
 406:	3101      	movi      	r1, 1
 408:	9360      	ld.w      	r3, (r3, 0)
 40a:	935c      	ld.w      	r2, (r3, 0x70)
 40c:	6884      	and      	r2, r1
 40e:	3a40      	cmpnei      	r2, 0
 410:	0c16      	bf      	0x43c	// 43c <GPT_2IntHandler+0x3c>
 412:	0413      	br      	0x438	// 438 <GPT_2IntHandler+0x38>
	...
	{
		GPTCH2->CSR = GPTCHX_INT_COVFS;
 438:	3201      	movi      	r2, 1
 43a:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH2->SR&GPTCHX_INT_LOVRS)==GPTCHX_INT_LOVRS)
 43c:	935c      	ld.w      	r2, (r3, 0x70)
 43e:	3102      	movi      	r1, 2
 440:	6884      	and      	r2, r1
 442:	3a40      	cmpnei      	r2, 0
 444:	0c03      	bf      	0x44a	// 44a <GPT_2IntHandler+0x4a>
	{
		GPTCH2->CSR = GPTCHX_INT_LOVRS;
 446:	3202      	movi      	r2, 2
 448:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH2->SR&GPTCHX_INT_CPAS)==GPTCHX_INT_CPAS)
 44a:	935c      	ld.w      	r2, (r3, 0x70)
 44c:	3104      	movi      	r1, 4
 44e:	6884      	and      	r2, r1
 450:	3a40      	cmpnei      	r2, 0
 452:	0c03      	bf      	0x458	// 458 <GPT_2IntHandler+0x58>
	{
		GPTCH2->CSR = GPTCHX_INT_CPAS;
 454:	3204      	movi      	r2, 4
 456:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH2->SR&GPTCHX_INT_CPBS)==GPTCHX_INT_CPBS)
 458:	935c      	ld.w      	r2, (r3, 0x70)
 45a:	3108      	movi      	r1, 8
 45c:	6884      	and      	r2, r1
 45e:	3a40      	cmpnei      	r2, 0
 460:	0c03      	bf      	0x466	// 466 <GPT_2IntHandler+0x66>
	{
		GPTCH2->CSR = GPTCHX_INT_CPBS;
 462:	3208      	movi      	r2, 8
 464:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH2->SR&GPTCHX_INT_CPCS)==GPTCHX_INT_CPCS)
 466:	935c      	ld.w      	r2, (r3, 0x70)
 468:	3110      	movi      	r1, 16
 46a:	6884      	and      	r2, r1
 46c:	3a40      	cmpnei      	r2, 0
 46e:	0c03      	bf      	0x474	// 474 <GPT_2IntHandler+0x74>
	{
		GPTCH2->CSR = GPTCHX_INT_CPCS;
 470:	3210      	movi      	r2, 16
 472:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH2->SR&GPTCHX_INT_LDRAS)==GPTCHX_INT_LDRAS)
 474:	935c      	ld.w      	r2, (r3, 0x70)
 476:	3120      	movi      	r1, 32
 478:	6884      	and      	r2, r1
 47a:	3a40      	cmpnei      	r2, 0
 47c:	0c03      	bf      	0x482	// 482 <GPT_2IntHandler+0x82>
	{
		GPTCH2->CSR = GPTCHX_INT_LDRAS;
 47e:	3220      	movi      	r2, 32
 480:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH2->SR&GPTCHX_INT_LDRBS)==GPTCHX_INT_LDRBS)
 482:	935c      	ld.w      	r2, (r3, 0x70)
 484:	3140      	movi      	r1, 64
 486:	6884      	and      	r2, r1
 488:	3a40      	cmpnei      	r2, 0
 48a:	0c03      	bf      	0x490	// 490 <GPT_2IntHandler+0x90>
	{
		GPTCH2->CSR = GPTCHX_INT_LDRBS;
 48c:	3240      	movi      	r2, 64
 48e:	b35b      	st.w      	r2, (r3, 0x6c)
	}
	if((GPTCH2->SR&GPTCHX_INT_ETRGS)==GPTCHX_INT_ETRGS)
 490:	935c      	ld.w      	r2, (r3, 0x70)
 492:	3180      	movi      	r1, 128
 494:	6884      	and      	r2, r1
 496:	3a40      	cmpnei      	r2, 0
 498:	0c03      	bf      	0x49e	// 49e <GPT_2IntHandler+0x9e>
	{
		GPTCH2->CSR = GPTCHX_INT_ETRGS;
 49a:	3280      	movi      	r2, 128
 49c:	b35b      	st.w      	r2, (r3, 0x6c)
	}
}
 49e:	1463      	ipop
 4a0:	1461      	nir

000004a2 <GTCIntHandler>:
//GTC Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void GTCIntHandler(void) 
{
 4a2:	1460      	nie
 4a4:	1462      	ipush
 4a6:	14d0      	push      	r15
    // ISR content ...
	GPIO_Reverse(GPIOA1,0);
 4a8:	1370      	lrw      	r3, 0	// 668 <SPIIntHandler+0x12>
 4aa:	3100      	movi      	r1, 0
 4ac:	9300      	ld.w      	r0, (r3, 0)
 4ae:	e0000000 	bsr      	0	// 0 <GPIO_Reverse>
	if((GTC->MISR&GTC_PENDI)==GTC_PENDI)
 4b2:	136f      	lrw      	r3, 0	// 66c <SPIIntHandler+0x16>
 4b4:	3108      	movi      	r1, 8
 4b6:	9360      	ld.w      	r3, (r3, 0)
 4b8:	9349      	ld.w      	r2, (r3, 0x24)
 4ba:	6884      	and      	r2, r1
 4bc:	3a40      	cmpnei      	r2, 0
 4be:	0c03      	bf      	0x4c4	// 4c4 <GTCIntHandler+0x22>
	{
		GTC->ICR = GTC_PENDI;
 4c0:	3208      	movi      	r2, 8
 4c2:	b34a      	st.w      	r2, (r3, 0x28)
	} 
	if((GTC->MISR&GTC_STOPI)==GTC_STOPI)
 4c4:	9349      	ld.w      	r2, (r3, 0x24)
 4c6:	3102      	movi      	r1, 2
 4c8:	6884      	and      	r2, r1
 4ca:	3a40      	cmpnei      	r2, 0
 4cc:	0c03      	bf      	0x4d2	// 4d2 <GTCIntHandler+0x30>
	{
		GTC->ICR = GTC_STOPI;
 4ce:	3202      	movi      	r2, 2
 4d0:	b34a      	st.w      	r2, (r3, 0x28)
	} 
	if((GTC->MISR&GTC_OVFI)==GTC_OVFI)
 4d2:	9349      	ld.w      	r2, (r3, 0x24)
 4d4:	3120      	movi      	r1, 32
 4d6:	6884      	and      	r2, r1
 4d8:	3a40      	cmpnei      	r2, 0
 4da:	0c03      	bf      	0x4e0	// 4e0 <GTCIntHandler+0x3e>
	{
		GTC->ICR = GTC_OVFI;
 4dc:	3220      	movi      	r2, 32
 4de:	b34a      	st.w      	r2, (r3, 0x28)
	} 
	if((GTC->MISR&GTC_STARTI)==GTC_STARTI)
 4e0:	9349      	ld.w      	r2, (r3, 0x24)
 4e2:	3101      	movi      	r1, 1
 4e4:	6884      	and      	r2, r1
 4e6:	3a40      	cmpnei      	r2, 0
 4e8:	0c03      	bf      	0x4ee	// 4ee <GTCIntHandler+0x4c>
	{
		GTC->ICR = GTC_STARTI;
 4ea:	3201      	movi      	r2, 1
 4ec:	b34a      	st.w      	r2, (r3, 0x28)
	}
	if((GTC->MISR&GTC_PSTARTI)==GTC_PSTARTI)
 4ee:	9349      	ld.w      	r2, (r3, 0x24)
 4f0:	3104      	movi      	r1, 4
 4f2:	6884      	and      	r2, r1
 4f4:	3a40      	cmpnei      	r2, 0
 4f6:	0c03      	bf      	0x4fc	// 4fc <GTCIntHandler+0x5a>
	{
		GTC->ICR = GTC_PSTARTI;
 4f8:	3204      	movi      	r2, 4
 4fa:	b34a      	st.w      	r2, (r3, 0x28)
	}
	if((GTC->MISR&GTC_MATI)==GTC_MATI)
 4fc:	9349      	ld.w      	r2, (r3, 0x24)
 4fe:	3110      	movi      	r1, 16
 500:	6884      	and      	r2, r1
 502:	3a40      	cmpnei      	r2, 0
 504:	0c03      	bf      	0x50a	// 50a <GTCIntHandler+0x68>
	{
		GTC->ICR = GTC_MATI;
 506:	3210      	movi      	r2, 16
 508:	b34a      	st.w      	r2, (r3, 0x28)
	}
	if((GTC->MISR&GTC_CAPTI)==GTC_CAPTI)
 50a:	9349      	ld.w      	r2, (r3, 0x24)
 50c:	3140      	movi      	r1, 64
 50e:	6884      	and      	r2, r1
 510:	3a40      	cmpnei      	r2, 0
 512:	0c03      	bf      	0x518	// 518 <GTCIntHandler+0x76>
	{
		GTC->ICR = GTC_CAPTI;
 514:	3240      	movi      	r2, 64
 516:	b34a      	st.w      	r2, (r3, 0x28)
		else
		{
			R_Capture_buf3=R_Capture_buf2-R_Capture_buf1;
		}*/
	}
}
 518:	d9ee2000 	ld.w      	r15, (sp, 0)
 51c:	1401      	addi      	sp, sp, 4
 51e:	1463      	ipop
 520:	1461      	nir

00000522 <STC16IntHandler>:
//STC16 Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void STC16IntHandler(void) 
{
 522:	1460      	nie
 524:	1462      	ipush
 526:	14c2      	push      	r4-r5
    // ISR content ...
	
	
	if((ST16->MISR&ST16_STARTI)==ST16_STARTI)
 528:	1272      	lrw      	r3, 0	// 670 <SPIIntHandler+0x1a>
 52a:	3501      	movi      	r5, 1
 52c:	9360      	ld.w      	r3, (r3, 0)
 52e:	9345      	ld.w      	r2, (r3, 0x14)
 530:	6894      	and      	r2, r5
 532:	3a40      	cmpnei      	r2, 0
 534:	0c08      	bf      	0x544	// 544 <STC16IntHandler+0x22>
	{
		ST16->ICR = ST16_STARTI;
 536:	3201      	movi      	r2, 1
	}
	else if((ST16->MISR&ST16_STOPI)==ST16_STOPI)
	{
		ST16->ICR = ST16_STOPI;
 538:	b346      	st.w      	r2, (r3, 0x18)
	}
	else if((ST16->CMISR&ST16_CC1FI)==ST16_CC1FI)
	{
		ST16->CICR = ST16_CC1FI;
	}
}
 53a:	98a1      	ld.w      	r5, (sp, 0x4)
 53c:	9880      	ld.w      	r4, (sp, 0)
 53e:	1402      	addi      	sp, sp, 8
 540:	1463      	ipop
 542:	1461      	nir
	else if((ST16->MISR&ST16_STOPI)==ST16_STOPI)
 544:	9345      	ld.w      	r2, (r3, 0x14)
 546:	3402      	movi      	r4, 2
 548:	6890      	and      	r2, r4
 54a:	3a40      	cmpnei      	r2, 0
 54c:	0c03      	bf      	0x552	// 552 <STC16IntHandler+0x30>
		ST16->ICR = ST16_STOPI;
 54e:	3202      	movi      	r2, 2
 550:	07f4      	br      	0x538	// 538 <STC16IntHandler+0x16>
	else if((ST16->MISR&ST16_PENDI)==ST16_PENDI)
 552:	9305      	ld.w      	r0, (r3, 0x14)
 554:	3204      	movi      	r2, 4
 556:	6808      	and      	r0, r2
 558:	3840      	cmpnei      	r0, 0
 55a:	0bef      	bt      	0x538	// 538 <STC16IntHandler+0x16>
	else if((ST16->CMISR&ST16_CC0RI)==ST16_CC0RI)
 55c:	237f      	addi      	r3, 128
 55e:	9324      	ld.w      	r1, (r3, 0x10)
 560:	6854      	and      	r1, r5
 562:	3940      	cmpnei      	r1, 0
 564:	0c04      	bf      	0x56c	// 56c <STC16IntHandler+0x4a>
		ST16->CICR = ST16_CC0RI;
 566:	3201      	movi      	r2, 1
		ST16->CICR = ST16_CC1FI;
 568:	b345      	st.w      	r2, (r3, 0x14)
}
 56a:	07e8      	br      	0x53a	// 53a <STC16IntHandler+0x18>
	else if((ST16->CMISR&ST16_CC1RI)==ST16_CC1RI)
 56c:	9344      	ld.w      	r2, (r3, 0x10)
 56e:	6890      	and      	r2, r4
 570:	3a40      	cmpnei      	r2, 0
 572:	0c03      	bf      	0x578	// 578 <STC16IntHandler+0x56>
		ST16->CICR = ST16_CC1RI;
 574:	3202      	movi      	r2, 2
 576:	07f9      	br      	0x568	// 568 <STC16IntHandler+0x46>
	else if((ST16->CMISR&ST16_CC0FI)==ST16_CC0FI)
 578:	3280      	movi      	r2, 128
 57a:	9324      	ld.w      	r1, (r3, 0x10)
 57c:	4241      	lsli      	r2, r2, 1
 57e:	6848      	and      	r1, r2
 580:	3940      	cmpnei      	r1, 0
 582:	0bf3      	bt      	0x568	// 568 <STC16IntHandler+0x46>
	else if((ST16->CMISR&ST16_CC1FI)==ST16_CC1FI)
 584:	3280      	movi      	r2, 128
 586:	9324      	ld.w      	r1, (r3, 0x10)
 588:	4242      	lsli      	r2, r2, 2
 58a:	6848      	and      	r1, r2
 58c:	3940      	cmpnei      	r1, 0
 58e:	0bed      	bt      	0x568	// 568 <STC16IntHandler+0x46>
 590:	07d5      	br      	0x53a	// 53a <STC16IntHandler+0x18>

00000592 <CTCIntHandler>:
//CTC Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CTCIntHandler(void) 
{
 592:	1460      	nie
 594:	1462      	ipush
    // ISR content ...
	if((CTC->MISR&CTC_INT_PEND)==CTC_INT_PEND)
 596:	1178      	lrw      	r3, 0	// 674 <SPIIntHandler+0x1e>
 598:	3101      	movi      	r1, 1
 59a:	9360      	ld.w      	r3, (r3, 0)
 59c:	9349      	ld.w      	r2, (r3, 0x24)
 59e:	6884      	and      	r2, r1
 5a0:	3a40      	cmpnei      	r2, 0
 5a2:	0c07      	bf      	0x5b0	// 5b0 <CTCIntHandler+0x1e>
	{
		CTC->ICR = CTC_INT_PEND;
 5a4:	3201      	movi      	r2, 1
 5a6:	b34a      	st.w      	r2, (r3, 0x28)
		CTC->TIMDR=0;
 5a8:	3200      	movi      	r2, 0
 5aa:	b346      	st.w      	r2, (r3, 0x18)
	}
	else if((CTC->MISR&CTC_INT_OVF)==CTC_INT_OVF)
	{
		CTC->ICR = CTC_INT_OVF;
	}
}
 5ac:	1463      	ipop
 5ae:	1461      	nir
	else if((CTC->MISR&CTC_INT_OVF)==CTC_INT_OVF)
 5b0:	9349      	ld.w      	r2, (r3, 0x24)
 5b2:	3102      	movi      	r1, 2
 5b4:	6884      	and      	r2, r1
 5b6:	3a40      	cmpnei      	r2, 0
 5b8:	0ffa      	bf      	0x5ac	// 5ac <CTCIntHandler+0x1a>
		CTC->ICR = CTC_INT_OVF;
 5ba:	3202      	movi      	r2, 2
 5bc:	b34a      	st.w      	r2, (r3, 0x28)
}
 5be:	07f7      	br      	0x5ac	// 5ac <CTCIntHandler+0x1a>

000005c0 <ADCIntHandler>:
//ADC Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void ADCIntHandler(void) 
{
 5c0:	1460      	nie
 5c2:	1462      	ipush
    // ISR content ...
	if((ADC0->SR&ADC12_EOC)==ADC12_EOC)
 5c4:	116d      	lrw      	r3, 0	// 678 <SPIIntHandler+0x22>
 5c6:	3101      	movi      	r1, 1
 5c8:	9360      	ld.w      	r3, (r3, 0)
 5ca:	9348      	ld.w      	r2, (r3, 0x20)
 5cc:	6884      	and      	r2, r1
 5ce:	3a40      	cmpnei      	r2, 0
 5d0:	0c05      	bf      	0x5da	// 5da <ADCIntHandler+0x1a>
	{
		ADC0->CSR = ADC12_EOC;
 5d2:	3201      	movi      	r2, 1
	{
		ADC0->CSR = ADC12_CMP1H;
	}
	else if((ADC0->SR&ADC12_CMP1L)==ADC12_CMP1L)
	{
		ADC0->CSR = ADC12_CMP1L;
 5d4:	b347      	st.w      	r2, (r3, 0x1c)
	}
}
 5d6:	1463      	ipop
 5d8:	1461      	nir
	else if((ADC0->SR&ADC12_READY)==ADC12_READY)
 5da:	9348      	ld.w      	r2, (r3, 0x20)
 5dc:	3102      	movi      	r1, 2
 5de:	6884      	and      	r2, r1
 5e0:	3a40      	cmpnei      	r2, 0
 5e2:	0c03      	bf      	0x5e8	// 5e8 <ADCIntHandler+0x28>
		ADC0->CSR = ADC12_READY;
 5e4:	3202      	movi      	r2, 2
 5e6:	07f7      	br      	0x5d4	// 5d4 <ADCIntHandler+0x14>
	else if((ADC0->SR&ADC12_OVR)==ADC12_OVR)
 5e8:	9348      	ld.w      	r2, (r3, 0x20)
 5ea:	3104      	movi      	r1, 4
 5ec:	6884      	and      	r2, r1
 5ee:	3a40      	cmpnei      	r2, 0
 5f0:	0c03      	bf      	0x5f6	// 5f6 <ADCIntHandler+0x36>
		ADC0->CSR = ADC12_OVR;
 5f2:	3204      	movi      	r2, 4
 5f4:	07f0      	br      	0x5d4	// 5d4 <ADCIntHandler+0x14>
	else if((ADC0->SR&ADC12_CMP0H)==ADC12_CMP0H)
 5f6:	9348      	ld.w      	r2, (r3, 0x20)
 5f8:	3110      	movi      	r1, 16
 5fa:	6884      	and      	r2, r1
 5fc:	3a40      	cmpnei      	r2, 0
 5fe:	0c03      	bf      	0x604	// 604 <ADCIntHandler+0x44>
		ADC0->CSR = ADC12_CMP0H;
 600:	3210      	movi      	r2, 16
 602:	07e9      	br      	0x5d4	// 5d4 <ADCIntHandler+0x14>
	else if((ADC0->SR&ADC12_CMP0L)==ADC12_CMP0L)
 604:	9348      	ld.w      	r2, (r3, 0x20)
 606:	3120      	movi      	r1, 32
 608:	6884      	and      	r2, r1
 60a:	3a40      	cmpnei      	r2, 0
 60c:	0c03      	bf      	0x612	// 612 <ADCIntHandler+0x52>
		ADC0->CSR = ADC12_CMP0L;
 60e:	3220      	movi      	r2, 32
 610:	07e2      	br      	0x5d4	// 5d4 <ADCIntHandler+0x14>
	else if((ADC0->SR&ADC12_CMP1H)==ADC12_CMP1H)
 612:	9348      	ld.w      	r2, (r3, 0x20)
 614:	3140      	movi      	r1, 64
 616:	6884      	and      	r2, r1
 618:	3a40      	cmpnei      	r2, 0
 61a:	0c03      	bf      	0x620	// 620 <ADCIntHandler+0x60>
		ADC0->CSR = ADC12_CMP1H;
 61c:	3240      	movi      	r2, 64
 61e:	07db      	br      	0x5d4	// 5d4 <ADCIntHandler+0x14>
	else if((ADC0->SR&ADC12_CMP1L)==ADC12_CMP1L)
 620:	9348      	ld.w      	r2, (r3, 0x20)
 622:	3180      	movi      	r1, 128
 624:	6884      	and      	r2, r1
 626:	3a40      	cmpnei      	r2, 0
 628:	0fd7      	bf      	0x5d6	// 5d6 <ADCIntHandler+0x16>
		ADC0->CSR = ADC12_CMP1L;
 62a:	3280      	movi      	r2, 128
 62c:	07d4      	br      	0x5d4	// 5d4 <ADCIntHandler+0x14>

0000062e <LEDIntHandler>:
//LED Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void LEDIntHandler(void) 
{
 62e:	1460      	nie
 630:	1462      	ipush
    // ISR content ...
	if ((LED0->MISR &ICEND)==ICEND) 
 632:	1073      	lrw      	r3, 0	// 67c <SPIIntHandler+0x26>
 634:	3101      	movi      	r1, 1
 636:	9360      	ld.w      	r3, (r3, 0)
 638:	9344      	ld.w      	r2, (r3, 0x10)
 63a:	6884      	and      	r2, r1
 63c:	3a40      	cmpnei      	r2, 0
 63e:	0c05      	bf      	0x648	// 648 <LEDIntHandler+0x1a>
    {
        LED0->ICR = ICEND;
 640:	3201      	movi      	r2, 1
    } 
    else if((LED0->MISR &IPEND)==IPEND) 
    {
        LED0->ICR = IPEND;
 642:	b345      	st.w      	r2, (r3, 0x14)
    } 
}
 644:	1463      	ipop
 646:	1461      	nir
    else if((LED0->MISR &IPEND)==IPEND) 
 648:	9344      	ld.w      	r2, (r3, 0x10)
 64a:	3102      	movi      	r1, 2
 64c:	6884      	and      	r2, r1
 64e:	3a40      	cmpnei      	r2, 0
 650:	0ffa      	bf      	0x644	// 644 <LEDIntHandler+0x16>
        LED0->ICR = IPEND;
 652:	3202      	movi      	r2, 2
 654:	07f7      	br      	0x642	// 642 <LEDIntHandler+0x14>

00000656 <SPIIntHandler>:
//SPI Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void SPIIntHandler(void) 
{
 656:	1460      	nie
 658:	1462      	ipush
    // ISR content ...
	if((SPI0->MISR&SPI_PORIM)==SPI_PORIM)					//接收溢出中断
 65a:	106a      	lrw      	r3, 0	// 680 <SPIIntHandler+0x2a>
 65c:	3101      	movi      	r1, 1
 65e:	9360      	ld.w      	r3, (r3, 0)
 660:	9347      	ld.w      	r2, (r3, 0x1c)
 662:	6884      	and      	r2, r1
 664:	3a40      	cmpnei      	r2, 0
 666:	040f      	br      	0x684	// 684 <SPIIntHandler+0x2e>
	...
 684:	0c05      	bf      	0x68e	// 68e <SPIIntHandler+0x38>
	{
		SPI0->ICR = SPI_PORIM;
 686:	3201      	movi      	r2, 1
		SPI_DATA[7]=SPI0->DR;
		nop;*/
	}
	else if((SPI0->MISR&SPI_TXIM)==SPI_TXIM)				//发送FIFO中断
	{
		SPI0->ICR = SPI_TXIM;
 688:	b348      	st.w      	r2, (r3, 0x20)
	}
}
 68a:	1463      	ipop
 68c:	1461      	nir
	else if((SPI0->MISR&SPI_RTIM)==SPI_RTIM)				//接收超时中断
 68e:	9347      	ld.w      	r2, (r3, 0x1c)
 690:	3102      	movi      	r1, 2
 692:	6884      	and      	r2, r1
 694:	3a40      	cmpnei      	r2, 0
 696:	0c03      	bf      	0x69c	// 69c <SPIIntHandler+0x46>
		SPI0->ICR = SPI_RTIM;
 698:	3202      	movi      	r2, 2
 69a:	07f7      	br      	0x688	// 688 <SPIIntHandler+0x32>
	else if((SPI0->MISR&SPI_RXIM)==SPI_RXIM)				//接收FIFO中断,FIFO占用1/8,1/4,1/2中断
 69c:	9347      	ld.w      	r2, (r3, 0x1c)
 69e:	3104      	movi      	r1, 4
 6a0:	6884      	and      	r2, r1
 6a2:	3a40      	cmpnei      	r2, 0
 6a4:	0c03      	bf      	0x6aa	// 6aa <SPIIntHandler+0x54>
		SPI0->ICR = SPI_RXIM;
 6a6:	3204      	movi      	r2, 4
 6a8:	07f0      	br      	0x688	// 688 <SPIIntHandler+0x32>
	else if((SPI0->MISR&SPI_TXIM)==SPI_TXIM)				//发送FIFO中断
 6aa:	9347      	ld.w      	r2, (r3, 0x1c)
 6ac:	3108      	movi      	r1, 8
 6ae:	6884      	and      	r2, r1
 6b0:	3a40      	cmpnei      	r2, 0
 6b2:	0fec      	bf      	0x68a	// 68a <SPIIntHandler+0x34>
		SPI0->ICR = SPI_TXIM;
 6b4:	3208      	movi      	r2, 8
 6b6:	07e9      	br      	0x688	// 688 <SPIIntHandler+0x32>

000006b8 <EPWMIntHandler>:
//EPWM Interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void EPWMIntHandler(void) 
{
 6b8:	1460      	nie
 6ba:	1462      	ipush
    // ISR content ...
	if ((EPWM->MISR & EPWM_START0)==EPWM_START0) 
 6bc:	136c      	lrw      	r3, 0	// 86c <CMP1IntHandler+0x28>
 6be:	3080      	movi      	r0, 128
 6c0:	9360      	ld.w      	r3, (r3, 0)
 6c2:	60c0      	addu      	r3, r0
 6c4:	9351      	ld.w      	r2, (r3, 0x44)
 6c6:	3101      	movi      	r1, 1
 6c8:	6884      	and      	r2, r1
 6ca:	3a40      	cmpnei      	r2, 0
 6cc:	0c04      	bf      	0x6d4	// 6d4 <EPWMIntHandler+0x1c>
    {
        EPWM->ICR = EPWM_START0;
 6ce:	3201      	movi      	r2, 1
    {
        EPWM->ICR = EPWM1_SLPA_OVF;
    }
	else if((EPWM->MISR & EPWM1_SLPB_OVF)==EPWM1_SLPB_OVF) 
    {
        EPWM->ICR = EPWM1_SLPB_OVF;
 6d0:	b34f      	st.w      	r2, (r3, 0x3c)
    }
}
 6d2:	04a3      	br      	0x818	// 818 <EPWMIntHandler+0x160>
    else if((EPWM->MISR & EPWM_STOP0)==EPWM_STOP0) 
 6d4:	9351      	ld.w      	r2, (r3, 0x44)
 6d6:	3102      	movi      	r1, 2
 6d8:	6884      	and      	r2, r1
 6da:	3a40      	cmpnei      	r2, 0
 6dc:	0c03      	bf      	0x6e2	// 6e2 <EPWMIntHandler+0x2a>
        EPWM->ICR = EPWM_STOP0;
 6de:	3202      	movi      	r2, 2
 6e0:	07f8      	br      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM_PEND0)==EPWM_PEND0) 
 6e2:	9351      	ld.w      	r2, (r3, 0x44)
 6e4:	3104      	movi      	r1, 4
 6e6:	6884      	and      	r2, r1
 6e8:	3a40      	cmpnei      	r2, 0
 6ea:	0c03      	bf      	0x6f0	// 6f0 <EPWMIntHandler+0x38>
        EPWM->ICR = EPWM_PEND0;
 6ec:	3204      	movi      	r2, 4
 6ee:	07f1      	br      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM_CENTER0)==EPWM_CENTER0) 
 6f0:	9351      	ld.w      	r2, (r3, 0x44)
 6f2:	3108      	movi      	r1, 8
 6f4:	6884      	and      	r2, r1
 6f6:	3a40      	cmpnei      	r2, 0
 6f8:	0c03      	bf      	0x6fe	// 6fe <EPWMIntHandler+0x46>
        EPWM->ICR = EPWM_CENTER0;
 6fa:	3208      	movi      	r2, 8
 6fc:	07ea      	br      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if ((EPWM->MISR & EPWM_START1)==EPWM_START1) 
 6fe:	9331      	ld.w      	r1, (r3, 0x44)
 700:	3210      	movi      	r2, 16
 702:	6848      	and      	r1, r2
 704:	3940      	cmpnei      	r1, 0
 706:	0be5      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
    else if((EPWM->MISR & EPWM_STOP1)==EPWM_STOP1) 
 708:	9331      	ld.w      	r1, (r3, 0x44)
 70a:	3220      	movi      	r2, 32
 70c:	6848      	and      	r1, r2
 70e:	3940      	cmpnei      	r1, 0
 710:	0be0      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM_PEND1)==EPWM_PEND1) 
 712:	9331      	ld.w      	r1, (r3, 0x44)
 714:	3240      	movi      	r2, 64
 716:	6848      	and      	r1, r2
 718:	3940      	cmpnei      	r1, 0
 71a:	0bdb      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM_CENTER1)==EPWM_CENTER1) 
 71c:	9351      	ld.w      	r2, (r3, 0x44)
 71e:	6880      	and      	r2, r0
 720:	3a40      	cmpnei      	r2, 0
 722:	0c03      	bf      	0x728	// 728 <EPWMIntHandler+0x70>
        EPWM->ICR = EPWM_CENTER1;
 724:	3280      	movi      	r2, 128
 726:	07d5      	br      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if ((EPWM->MISR & EPWM_START2)==EPWM_START2) 
 728:	3280      	movi      	r2, 128
 72a:	9331      	ld.w      	r1, (r3, 0x44)
 72c:	4241      	lsli      	r2, r2, 1
 72e:	6848      	and      	r1, r2
 730:	3940      	cmpnei      	r1, 0
 732:	0bcf      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
    else if((EPWM->MISR & EPWM_STOP2)==EPWM_STOP2) 
 734:	3280      	movi      	r2, 128
 736:	9331      	ld.w      	r1, (r3, 0x44)
 738:	4242      	lsli      	r2, r2, 2
 73a:	6848      	and      	r1, r2
 73c:	3940      	cmpnei      	r1, 0
 73e:	0bc9      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM_PEND2)==EPWM_PEND2) 
 740:	3280      	movi      	r2, 128
 742:	9331      	ld.w      	r1, (r3, 0x44)
 744:	4243      	lsli      	r2, r2, 3
 746:	6848      	and      	r1, r2
 748:	3940      	cmpnei      	r1, 0
 74a:	0bc3      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM_CENTER2)==EPWM_CENTER2) 
 74c:	3280      	movi      	r2, 128
 74e:	9331      	ld.w      	r1, (r3, 0x44)
 750:	4244      	lsli      	r2, r2, 4
 752:	6848      	and      	r1, r2
 754:	3940      	cmpnei      	r1, 0
 756:	0bbd      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM0_CMPAUM)==EPWM0_CMPAUM) 
 758:	3280      	movi      	r2, 128
 75a:	9331      	ld.w      	r1, (r3, 0x44)
 75c:	4245      	lsli      	r2, r2, 5
 75e:	6848      	and      	r1, r2
 760:	3940      	cmpnei      	r1, 0
 762:	0bb7      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM0_CMPADM)==EPWM0_CMPADM) 
 764:	3280      	movi      	r2, 128
 766:	9331      	ld.w      	r1, (r3, 0x44)
 768:	4246      	lsli      	r2, r2, 6
 76a:	6848      	and      	r1, r2
 76c:	3940      	cmpnei      	r1, 0
 76e:	0bb1      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM0_CMPBUM)==EPWM0_CMPBUM) 
 770:	3280      	movi      	r2, 128
 772:	9331      	ld.w      	r1, (r3, 0x44)
 774:	4247      	lsli      	r2, r2, 7
 776:	6848      	and      	r1, r2
 778:	3940      	cmpnei      	r1, 0
 77a:	0bab      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM0_CMPBDM)==EPWM0_CMPBDM) 
 77c:	3280      	movi      	r2, 128
 77e:	9331      	ld.w      	r1, (r3, 0x44)
 780:	4248      	lsli      	r2, r2, 8
 782:	6848      	and      	r1, r2
 784:	3940      	cmpnei      	r1, 0
 786:	0ba5      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM1_CMPAUM)==EPWM1_CMPAUM) 
 788:	3280      	movi      	r2, 128
 78a:	9331      	ld.w      	r1, (r3, 0x44)
 78c:	4249      	lsli      	r2, r2, 9
 78e:	6848      	and      	r1, r2
 790:	3940      	cmpnei      	r1, 0
 792:	0b9f      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM1_CMPADM)==EPWM1_CMPADM) 
 794:	3280      	movi      	r2, 128
 796:	9331      	ld.w      	r1, (r3, 0x44)
 798:	424a      	lsli      	r2, r2, 10
 79a:	6848      	and      	r1, r2
 79c:	3940      	cmpnei      	r1, 0
 79e:	0b99      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM1_CMPBUM)==EPWM1_CMPBUM) 
 7a0:	3280      	movi      	r2, 128
 7a2:	9331      	ld.w      	r1, (r3, 0x44)
 7a4:	424b      	lsli      	r2, r2, 11
 7a6:	6848      	and      	r1, r2
 7a8:	3940      	cmpnei      	r1, 0
 7aa:	0b93      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM1_CMPBDM)==EPWM1_CMPBDM) 
 7ac:	3280      	movi      	r2, 128
 7ae:	9331      	ld.w      	r1, (r3, 0x44)
 7b0:	424c      	lsli      	r2, r2, 12
 7b2:	6848      	and      	r1, r2
 7b4:	3940      	cmpnei      	r1, 0
 7b6:	0b8d      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM2_CMPAUM)==EPWM2_CMPAUM) 
 7b8:	3280      	movi      	r2, 128
 7ba:	9331      	ld.w      	r1, (r3, 0x44)
 7bc:	424d      	lsli      	r2, r2, 13
 7be:	6848      	and      	r1, r2
 7c0:	3940      	cmpnei      	r1, 0
 7c2:	0b87      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM2_CMPADM)==EPWM2_CMPADM) 
 7c4:	3280      	movi      	r2, 128
 7c6:	9331      	ld.w      	r1, (r3, 0x44)
 7c8:	424e      	lsli      	r2, r2, 14
 7ca:	6848      	and      	r1, r2
 7cc:	3940      	cmpnei      	r1, 0
 7ce:	0b81      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM2_CMPBUM)==EPWM2_CMPBUM) 
 7d0:	3280      	movi      	r2, 128
 7d2:	9331      	ld.w      	r1, (r3, 0x44)
 7d4:	424f      	lsli      	r2, r2, 15
 7d6:	6848      	and      	r1, r2
 7d8:	3940      	cmpnei      	r1, 0
 7da:	0b7b      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM2_CMPBDM)==EPWM2_CMPBDM) 
 7dc:	3280      	movi      	r2, 128
 7de:	9331      	ld.w      	r1, (r3, 0x44)
 7e0:	4250      	lsli      	r2, r2, 16
 7e2:	6848      	and      	r1, r2
 7e4:	3940      	cmpnei      	r1, 0
 7e6:	0b75      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM0_SLPA_OVF)==EPWM0_SLPA_OVF) 
 7e8:	3280      	movi      	r2, 128
 7ea:	9331      	ld.w      	r1, (r3, 0x44)
 7ec:	4251      	lsli      	r2, r2, 17
 7ee:	6848      	and      	r1, r2
 7f0:	3940      	cmpnei      	r1, 0
 7f2:	0b6f      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM0_SLPB_OVF)==EPWM0_SLPB_OVF) 
 7f4:	3280      	movi      	r2, 128
 7f6:	9331      	ld.w      	r1, (r3, 0x44)
 7f8:	4252      	lsli      	r2, r2, 18
 7fa:	6848      	and      	r1, r2
 7fc:	3940      	cmpnei      	r1, 0
 7fe:	0b69      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM1_SLPA_OVF)==EPWM1_SLPA_OVF) 
 800:	3280      	movi      	r2, 128
 802:	9331      	ld.w      	r1, (r3, 0x44)
 804:	4253      	lsli      	r2, r2, 19
 806:	6848      	and      	r1, r2
 808:	3940      	cmpnei      	r1, 0
 80a:	0b63      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
	else if((EPWM->MISR & EPWM1_SLPB_OVF)==EPWM1_SLPB_OVF) 
 80c:	3280      	movi      	r2, 128
 80e:	9331      	ld.w      	r1, (r3, 0x44)
 810:	4254      	lsli      	r2, r2, 20
 812:	6848      	and      	r1, r2
 814:	3940      	cmpnei      	r1, 0
 816:	0b5d      	bt      	0x6d0	// 6d0 <EPWMIntHandler+0x18>
}
 818:	1463      	ipop
 81a:	1461      	nir

0000081c <CMP0IntHandler>:
//CMP0,CMP2 interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CMP0IntHandler(void) 
{
 81c:	1460      	nie
 81e:	1462      	ipush
    // ISR content ...
	if ((CMP->MISR & EDGEDET0)==EDGEDET0) 
 820:	1074      	lrw      	r3, 0	// 870 <CMP1IntHandler+0x2c>
 822:	3101      	movi      	r1, 1
 824:	9360      	ld.w      	r3, (r3, 0)
 826:	9356      	ld.w      	r2, (r3, 0x58)
 828:	6884      	and      	r2, r1
 82a:	3a40      	cmpnei      	r2, 0
 82c:	0c05      	bf      	0x836	// 836 <CMP0IntHandler+0x1a>
	{
		CMP->ICR =	EDGEDET0;
 82e:	3201      	movi      	r2, 1
	}
	else if ((CMP->MISR & EDGEDET2)==EDGEDET2) 
	{
		CMP->ICR =	EDGEDET2;
 830:	b357      	st.w      	r2, (r3, 0x5c)
	}
}
 832:	1463      	ipop
 834:	1461      	nir
	else if ((CMP->MISR & EDGEDET2)==EDGEDET2) 
 836:	9356      	ld.w      	r2, (r3, 0x58)
 838:	3104      	movi      	r1, 4
 83a:	6884      	and      	r2, r1
 83c:	3a40      	cmpnei      	r2, 0
 83e:	0ffa      	bf      	0x832	// 832 <CMP0IntHandler+0x16>
		CMP->ICR =	EDGEDET2;
 840:	3204      	movi      	r2, 4
 842:	07f7      	br      	0x830	// 830 <CMP0IntHandler+0x14>

00000844 <CMP1IntHandler>:
//CMP1,CMP3,CMP4 interrupt
//EntryParameter:NONE
//ReturnValue:NONE
/*************************************************************/
void CMP1IntHandler(void) 
{
 844:	1460      	nie
 846:	1462      	ipush
    // ISR content ...
	if((CMP->MISR & EDGEDET1)==EDGEDET1)
 848:	106a      	lrw      	r3, 0	// 870 <CMP1IntHandler+0x2c>
 84a:	3102      	movi      	r1, 2
 84c:	9360      	ld.w      	r3, (r3, 0)
 84e:	9356      	ld.w      	r2, (r3, 0x58)
 850:	6884      	and      	r2, r1
 852:	3a40      	cmpnei      	r2, 0
 854:	0c05      	bf      	0x85e	// 85e <CMP1IntHandler+0x1a>
	{
		CMP->ICR =	EDGEDET1;
 856:	3202      	movi      	r2, 2
	{
		CMP->ICR =	EDGEDET3;				
	}
	else if((CMP->MISR & EDGEDET4)==EDGEDET4)
	{
		CMP->ICR =	EDGEDET4;
 858:	b357      	st.w      	r2, (r3, 0x5c)
	}
}
 85a:	1463      	ipop
 85c:	1461      	nir
	else if((CMP->MISR & EDGEDET3)==EDGEDET3)
 85e:	9356      	ld.w      	r2, (r3, 0x58)
 860:	3108      	movi      	r1, 8
 862:	6884      	and      	r2, r1
 864:	3a40      	cmpnei      	r2, 0
 866:	0c07      	bf      	0x874	// 874 <CMP1IntHandler+0x30>
		CMP->ICR =	EDGEDET3;				
 868:	3208      	movi      	r2, 8
 86a:	07f7      	br      	0x858	// 858 <CMP1IntHandler+0x14>
	...
	else if((CMP->MISR & EDGEDET4)==EDGEDET4)
 874:	9356      	ld.w      	r2, (r3, 0x58)
 876:	3110      	movi      	r1, 16
 878:	6884      	and      	r2, r1
 87a:	3a40      	cmpnei      	r2, 0
 87c:	0fef      	bf      	0x85a	// 85a <CMP1IntHandler+0x16>
		CMP->ICR =	EDGEDET4;
 87e:	3210      	movi      	r2, 16
 880:	07ec      	br      	0x858	// 858 <CMP1IntHandler+0x14>

00000882 <PriviledgeVioHandler>:
}

void PriviledgeVioHandler(void) 
{
    // ISR content ...
	nop;
 882:	6c03      	mov      	r0, r0
}
 884:	783c      	rts

00000886 <TKEYIntHandler>:
    // ISR content ...
	nop;
}

void TKEYIntHandler(void)
{
 886:	1460      	nie
 888:	1462      	ipush
	// ISR content ...
	nop;
 88a:	6c03      	mov      	r0, r0
}
 88c:	1463      	ipop
 88e:	1461      	nir

00000890 <PendTrapHandler>:
 890:	1460      	nie
 892:	1462      	ipush
 894:	14d0      	push      	r15
 896:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 89a:	d9ee2000 	ld.w      	r15, (sp, 0)
 89e:	1401      	addi      	sp, sp, 4
 8a0:	1463      	ipop
 8a2:	1461      	nir

000008a4 <Trap3Handler>:
 8a4:	1460      	nie
 8a6:	1462      	ipush
 8a8:	14d0      	push      	r15
 8aa:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 8ae:	d9ee2000 	ld.w      	r15, (sp, 0)
 8b2:	1401      	addi      	sp, sp, 4
 8b4:	1463      	ipop
 8b6:	1461      	nir

000008b8 <Trap2Handler>:
 8b8:	1460      	nie
 8ba:	1462      	ipush
 8bc:	14d0      	push      	r15
 8be:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 8c2:	d9ee2000 	ld.w      	r15, (sp, 0)
 8c6:	1401      	addi      	sp, sp, 4
 8c8:	1463      	ipop
 8ca:	1461      	nir

000008cc <Trap1Handler>:
 8cc:	1460      	nie
 8ce:	1462      	ipush
 8d0:	14d0      	push      	r15
 8d2:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 8d6:	d9ee2000 	ld.w      	r15, (sp, 0)
 8da:	1401      	addi      	sp, sp, 4
 8dc:	1463      	ipop
 8de:	1461      	nir

000008e0 <Trap0Handler>:
 8e0:	1460      	nie
 8e2:	1462      	ipush
 8e4:	14d0      	push      	r15
 8e6:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 8ea:	d9ee2000 	ld.w      	r15, (sp, 0)
 8ee:	1401      	addi      	sp, sp, 4
 8f0:	1463      	ipop
 8f2:	1461      	nir

000008f4 <UnrecExecpHandler>:
 8f4:	1460      	nie
 8f6:	1462      	ipush
 8f8:	14d0      	push      	r15
 8fa:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 8fe:	d9ee2000 	ld.w      	r15, (sp, 0)
 902:	1401      	addi      	sp, sp, 4
 904:	1463      	ipop
 906:	1461      	nir

00000908 <BreakPointHandler>:
 908:	1460      	nie
 90a:	1462      	ipush
 90c:	14d0      	push      	r15
 90e:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 912:	d9ee2000 	ld.w      	r15, (sp, 0)
 916:	1401      	addi      	sp, sp, 4
 918:	1463      	ipop
 91a:	1461      	nir

0000091c <AccessErrHandler>:
 91c:	1460      	nie
 91e:	1462      	ipush
 920:	14d0      	push      	r15
 922:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 926:	d9ee2000 	ld.w      	r15, (sp, 0)
 92a:	1401      	addi      	sp, sp, 4
 92c:	1463      	ipop
 92e:	1461      	nir

00000930 <IllegalInstrHandler>:
 930:	1460      	nie
 932:	1462      	ipush
 934:	14d0      	push      	r15
 936:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 93a:	d9ee2000 	ld.w      	r15, (sp, 0)
 93e:	1401      	addi      	sp, sp, 4
 940:	1463      	ipop
 942:	1461      	nir

00000944 <MisalignedHandler>:
 944:	1460      	nie
 946:	1462      	ipush
 948:	14d0      	push      	r15
 94a:	e0000000 	bsr      	0	// 886 <TKEYIntHandler>
 94e:	d9ee2000 	ld.w      	r15, (sp, 0)
 952:	1401      	addi      	sp, sp, 4
 954:	1463      	ipop
 956:	1461      	nir
